import React, { useState, useEffect, useRef } from 'react';
import { FormRender, FormDesigner, Account } from '../../src/index';
import { schemaValues } from './data';
import { Button, Tabs } from 'antd';

window.globalConfig = {
  "env": "daily",
  "runtimeEnv": "EDIT",
  "baseURI": "http://localhost:3000",
  "Industry": "",
  "apptype": "net",
  "assetsRoot": "http://192.168.10.167:8088",
  "bannerLogo": "assets\\images\\logo\\熊猫-白色.svg",
  "alarmWays": "",
  "client": "city",
  "expiration": 43200000,
  "hideMap": false,
  "hideMapClients": [],
  "homepage": "mapDisplay",
  "loginTemplate": "Dark",
  "logo": "assets\\images\\logo\\单独图案-蓝绿色.svg",
  "mapVersion": "4.9",
  "mapsettings": {
    "type": "2d",
    "viewingMode": "global",
    "proxyUrl": "",
    "environment": {
      "starsEnabled": true
    },
    "constraints": {
      "rotationEnabled": false,
      "tilt": {
        "max": 179.5
      },
      "collision": {
        "enabled": false
      }
    },
    "viewpoint": {
      "camera": {
        "position": {
          "x": 0,
          "y": 0,
          "z": 0,
          "spatialReference": {
            "wkid": 4526
          }
        },
        "heading": 0,
        "tilt": 0,
        "fov": 55
      },
      "targetGeometry": {
        "xmin": 0,
        "ymin": 0,
        "xmax": 0,
        "ymax": 0,
        "spatialReference": {
          "wkid": 4526
        }
      }
    },
    "basemaps": [
      {
        "id": "高德地形",
        "title": "高德地形",
        "thumbnailUrl": "assets/images/thumbnail/thumbnail_1.jpg",
        "baseLayers": [
          {
            "title": "高德地形",
            "icon": "assets/images/thumbnail/thumbnail_1.jpg",
            "layerType": "amap-v",
            "url": "",
            "opacity": 1,
            "visible": false,
            "useProxy": false,
            "proxyUrl": "",
            "extent": "",
            "baseLayer": "",
            "resolution": "",
            "origin": "",
            "tileMatrix": "",
            "levelStart": "",
            "levelEnd": "",
            "levelEndEnlarge": false
          }
        ]
      },
      {
        "id": "高德影像",
        "title": "高德影像",
        "thumbnailUrl": "assets/images/thumbnail/thumbnail_4.jpg",
        "baseLayers": [
          {
            "title": "高德影像",
            "icon": "assets/images/thumbnail/thumbnail_4.jpg",
            "layerType": "amap-i",
            "url": "",
            "opacity": 1,
            "visible": false,
            "useProxy": false,
            "proxyUrl": "",
            "extent": "",
            "baseLayer": "",
            "resolution": "",
            "origin": "",
            "tileMatrix": "",
            "levelStart": "",
            "levelEnd": "",
            "levelEndEnlarge": false
          }
        ]
      }
    ],
    "layers": [
      {
        "id": "wlgcs",
        "title": "wlgcs",
        "icon": "",
        "layerType": "PipenetLayer",
        "url": "CityInterface/rest/services/MapServer.svc/wlgcs",
        "opacity": 1,
        "showLegend": true,
        "visible": true,
        "useProxy": true,
        "proxyUrl": "",
        "extent": "12733463.533583542,3560047.60110369,12734759.133851439,3560983.864144095",
        "baseLayer": "",
        "resolution": "",
        "origin": "",
        "tileMatrix": "",
        "wmtsUrl": "",
        "schemename": "物联港",
        "roles": "15,27,28,1015,1035,1036,1040,1041,1042,1037,1038,1039,43,57,60,61,62,63,64,65,1003,1004",
        "areaName": "江夏区",
        "boundColor": "#86C8F8",
        "backgroundColor": "#009688",
        "boundWidth": "5px",
        "backgroundOpacity": "0.6",
        "basemaps": [
          {
            "id": "高德地形",
            "title": "高德地形",
            "thumbnailUrl": "assets/images/thumbnail/thumbnail_1.jpg",
            "baseLayers": [
              {
                "title": "高德地形",
                "icon": "assets/images/thumbnail/thumbnail_1.jpg",
                "layerType": "amap-v",
                "url": "",
                "opacity": 1,
                "visible": false,
                "useProxy": false,
                "proxyUrl": "",
                "extent": "",
                "baseLayer": "",
                "resolution": "",
                "origin": "",
                "tileMatrix": "",
                "levelStart": "",
                "levelEnd": "",
                "levelEndEnlarge": false
              }
            ]
          },
          {
            "id": "高德影像",
            "title": "高德影像",
            "thumbnailUrl": "assets/images/thumbnail/thumbnail_4.jpg",
            "baseLayers": [
              {
                "title": "高德影像",
                "icon": "assets/images/thumbnail/thumbnail_4.jpg",
                "layerType": "amap-i",
                "url": "",
                "opacity": 1,
                "visible": false,
                "useProxy": false,
                "proxyUrl": "",
                "extent": "",
                "baseLayer": "",
                "resolution": "",
                "origin": "",
                "tileMatrix": "",
                "levelStart": "",
                "levelEnd": "",
                "levelEndEnlarge": false
              }
            ]
          }
        ],
        "exportScheme": "pandagis"
      }
    ],
    "areasettings": {
      "boundColor": "#86C8F8",
      "boundWidth": "5px",
      "backgroundColor": "#009688",
      "backgroundOpacity": "0.6",
      "areaName": "江夏区",
      "name": "",
      "extent": "12733463.533583542,3560047.60110369,12734759.133851439,3560983.864144095",
      "rings": ""
    }
  },
  "mapConfig3d": {
    "baseMap": [
      {
        "name": "高德街道",
        "type": "amap-v",
        "opacity": 1,
        "icon": "assets/images/thumbnail/thumbnail_1.jpg",
        "url": "http://webrd02.is.autonavi.com/appmaptile?lang=zh_cn&size=1&scale=1&style=8&x={x}&y={y}&z={z}"
      },
      {
        "name": "高德影像",
        "type": "amap-i",
        "opacity": 1,
        "icon": "https://webst02.is.autonavi.com/appmaptile?style=6&x={x}&y={y}&z={z}",
        "url": "https://webst02.is.autonavi.com/appmaptile?style=6&x={x}&y={y}&z={z}"
      },
      {
        "name": "天地图街道",
        "type": "tianditu-v",
        "opacity": 1,
        "icon": "assets/images/thumbnail/thumbnail_1.jpg",
        "url": "http://t0.tianditu.com/vec_w/wmts?service=wmts&request=GetTile&version=1.0.0&LAYER=vec&tileMatrixSet=w&TileMatrix={TileMatrix}&TileRow={TileRow}&TileCol={TileCol}&style=default&format=tiles&tk=5fd854febc0874a73fe87c749fdf2746"
      },
      {
        "name": "天地图影像",
        "type": "tianditu-i",
        "opacity": 1,
        "url": "https://t{s}.tianditu.gov.cn/DataServer?T=img_w&x={x}&y={y}&l={z}&tk=5fd854febc0874a73fe87c749fdf2746"
      },
      {
        "name": "百度街道",
        "type": "baidu-v",
        "opacity": 1,
        "url": "http://online{s}.map.bdimg.com/onlinelabel/?qt=tile&x={x}&y={y}&z={z}&styles=pl&scaler=1&p=1"
      },
      {
        "name": "百度影像",
        "type": "baidu-i",
        "opacity": 1,
        "url": "http://api{s}.map.bdimg.com/customimage/tile?&x={x}&y={y}&z={z}&scale=1&customid=midnight"
      },
      {
        "name": "arcgis地图",
        "type": "arcgisImage",
        "opacity": 1,
        "icon": "assets/images/thumbnail/thumbnail_2.jpg"
      },
      {
        "name": "mapBox地图",
        "type": "mapBoxImage",
        "opacity": 1,
        "icon": "assets/images/thumbnail/thumbnail_2.jpg"
      }
    ],
    "data": [],
    "schema": [
      {
        "schemename": "江宁",
        "mapServerName": "",
        "data": [],
        "mapSettings": {
          "extent": [
            118.59699844950585,
            31.86292539377359,
            118.6092011316207,
            31.86931430224802
          ],
          "areaName": "Jiangning, China",
          "camera": {
            "orientation": {
              "heading": 360,
              "roll": 0,
              "pitch": -90
            },
            "position": {
              "lon": 118.8347659,
              "lat": 31.9202583,
              "height": 10000.000000000342
            },
            "mode": "3d"
          }
        },
        "baseMap": [
          {
            "type": "amap-i",
            "status": "notActive"
          },
          {
            "type": "amap-v",
            "status": "active"
          },
          {
            "type": "tianditu-v",
            "status": "notActive"
          },
          {
            "type": "tianditu-i",
            "status": "notActive"
          },
          {
            "type": "baidu-i",
            "status": "notActive"
          },
          {
            "type": "baidu-v",
            "status": "notActive"
          },
          {
            "type": "mapBoxImage",
            "status": "notActive"
          },
          {
            "type": "arcgisImage",
            "status": "notActive"
          }
        ]
      }
    ],
    "web": [
      {
        "schemename": "江宁",
        "isDefault": true,
        "roles": ""
      }
    ],
    "widgets": [
      {
        "name": "搜索",
        "url": "search/search",
        "zIndex": 1,
        "icon": "",
        "config": "",
        "position": {
          "bottom": "292",
          "right": "26"
        }
      },
      {
        "name": "模式",
        "url": "mode/mode",
        "zIndex": 1,
        "icon": "",
        "config": "",
        "position": {
          "bottom": "245",
          "right": "27"
        }
      },
      {
        "name": "图层",
        "url": "layer/layer",
        "zIndex": 1,
        "icon": "",
        "config": "",
        "position": {
          "bottom": "195",
          "right": "26"
        }
      },
      {
        "name": "主页",
        "url": "home/home",
        "zIndex": 1,
        "icon": "",
        "config": "",
        "position": {
          "bottom": "150",
          "right": "26"
        }
      },
      {
        "name": "图标",
        "url": "layerConfig/layerConfig",
        "zIndex": 1,
        "icon": "",
        "config": "",
        "position": {
          "bottom": "110",
          "right": "30"
        }
      },
      {
        "name": "自转",
        "url": "Rotation/index",
        "zIndex": 1,
        "icon": "",
        "config": "",
        "position": {
          "bottom": "30",
          "right": "30"
        }
      },
      {
        "name": "地下",
        "url": "Underground/index",
        "zIndex": 1,
        "icon": "",
        "config": "",
        "position": {
          "bottom": "70",
          "right": "30"
        }
      },
      {
        "name": "角度",
        "url": "angle/angle",
        "zIndex": 1,
        "icon": "",
        "config": "",
        "position": {
          "left": "265",
          "bottom": "7"
        }
      },
      {
        "name": "经纬度",
        "url": "lonlat/lonlat",
        "zIndex": 1,
        "icon": "",
        "config": "",
        "position": {
          "left": "470",
          "bottom": "7"
        }
      },
      {
        "name": "层级",
        "url": "Zoom/Zoom",
        "zIndex": 1,
        "icon": "",
        "config": "",
        "position": {
          "left": "200",
          "bottom": "7"
        }
      },
      {
        "name": "帧率",
        "url": "frame/frame",
        "zIndex": 1,
        "icon": "",
        "config": "",
        "position": {
          "top": "50",
          "right": "10"
        }
      }
    ]
  },
  "mdi": "",
  "menu": "banner-left",
  "mode": "single",
  "pagesize": 20,
  "project": "product/config.js",
  "products": [
    {
      "ID": 1,
      "ProductName": "GCK Web4",
      "PackageName": "civweb4",
      "Description": "Backbone版本的GCK产品",
      "PublishState": "已发布",
      "RouteUrl": "//localhost:${port}",
      "DefaultSetting": "",
      "IsDel": 0,
      "ProductType": "基础平台"
    },
    {
      "ID": 2,
      "ProductName": "监控产品",
      "PackageName": "civ_monitor",
      "Description": "设备监控管理产品",
      "PublishState": "已发布",
      "RouteUrl": "//localhost:${port}",
      "DefaultSetting": "",
      "IsDel": 0,
      "ProductType": "熊猫智慧供水平台"
    },
    {
      "ID": 4,
      "ProductName": "业务平台",
      "PackageName": "civ_workflow",
      "Description": "集管网巡检、设备维保、工作流办理、标准台账的业务平台",
      "PublishState": "已发布",
      "RouteUrl": "//localhost:${port}",
      "DefaultSetting": "",
      "IsDel": 0,
      "ProductType": "基础平台"
    },
    {
      "ID": 5,
      "ProductName": "供水平台2.0",
      "PackageName": "civ_water",
      "Description": "Web5版本的GCK2.0平台",
      "PublishState": "已发布",
      "RouteUrl": "//localhost:${port}",
      "DefaultSetting": "",
      "IsDel": 0,
      "ProductType": "熊猫智慧供水平台"
    },
    {
      "ID": 7,
      "ProductName": "WebGIS",
      "PackageName": "civ_webgis",
      "Description": "管网管理WebGIS产品",
      "PublishState": "已发布",
      "RouteUrl": "//localhost:${port}",
      "DefaultSetting": "",
      "IsDel": 0,
      "ProductType": "熊猫智慧供水平台"
    },
    {
      "ID": 11,
      "ProductName": "资产管理",
      "PackageName": "civ_assetmanage",
      "Description": "台账类产品：台账、轻量报表、资产物资等",
      "PublishState": "已发布",
      "RouteUrl": "//localhost:${port}",
      "DefaultSetting": "",
      "IsDel": 0,
      "ProductType": "行业通用产品"
    }
  ],
  "qrcode": "",
  "shortcutIcon": "assets\\images\\icon\\熊猫-蓝色.png",
  "style": "",
  "subtitle": "Panda Wisdom Water - Biz Field Work Platform",
  "theme": "",
  "variableTheme": {
    "primaryColor": "#0087F7",
    "navTheme": "dark",
    "headerPrimaryColor": "linear-gradient(0deg, #0066D6 0%, #39A9FF 100%)"
  },
  "title": "熊猫智慧水务 - 业务外勤工作平台",
  "uiwidgets": [
    {
      "label": "缩放",
      "url": "mapgis/widgets/Zoom",
      "top": "0",
      "bottom": "333",
      "right": "15",
      "config": "",
      "widgetId": "widget_bpm_缩放",
      "breadcrumbMap": "缩放"
    },
    {
      "label": "图层控制",
      "url": "product/webgis/LayerControler/LayerControler",
      "top": "0",
      "bottom": "295",
      "right": "15",
      "config": "",
      "widgetId": "widget_bpm_图层控制",
      "breadcrumbMap": "图层控制"
    },
    {
      "label": "复位",
      "url": "mapgis/widgets/Home",
      "top": "0",
      "bottom": "257",
      "right": "15",
      "config": "",
      "widgetId": "widget_bpm_复位",
      "breadcrumbMap": "复位"
    },
    {
      "label": "百度全景",
      "url": "product/webgis/Panorama/Panorama",
      "top": "0",
      "bottom": "181",
      "right": "15",
      "config": "",
      "widgetId": "widget_bpm_百度全景",
      "breadcrumbMap": "百度全景"
    },
    {
      "label": "点击查询",
      "url": "product/webgis/Identify/Identify",
      "top": "0",
      "bottom": "105",
      "right": "15",
      "config": "",
      "widgetId": "widget_bpm_点击查询",
      "breadcrumbMap": "点击查询"
    },
    {
      "label": "底图切换",
      "url": "product/webgis/BasemapGallery/BasemapGallery",
      "top": "0",
      "bottom": "25",
      "right": "7",
      "config": "",
      "widgetId": "widget_bpm_底图切换",
      "breadcrumbMap": "底图切换"
    },
    {
      "label": "比例尺",
      "url": "mapgis/widgets/ScaleBar",
      "left": "15",
      "top": "0",
      "bottom": "30",
      "config": "",
      "widgetId": "widget_bpm_比例尺",
      "breadcrumbMap": "比例尺"
    },
    {
      "label": "坐标",
      "url": "product/webgis/Coordinates/Coordinates",
      "left": "15",
      "top": "0",
      "bottom": "10",
      "config": "",
      "widgetId": "widget_bpm_坐标",
      "breadcrumbMap": "坐标"
    },
    {
      "label": "管线图例",
      "url": "",
      "left": "15",
      "top": "0",
      "bottom": "10",
      "config": "",
      "widgetId": "widget_bpm_管线图例",
      "breadcrumbMap": "管线图例"
    },
    {
      "label": "定位搜索",
      "url": "",
      "left": "15",
      "top": "0",
      "bottom": "10",
      "config": "",
      "widgetId": "widget_bpm_定位搜索",
      "breadcrumbMap": "定位搜索"
    },
    {
      "label": "鹰眼",
      "url": "product/webgis/Overview/Overview",
      "top": "0",
      "bottom": "0",
      "right": "0",
      "config": "",
      "widgetId": "widget_bpm_鹰眼",
      "breadcrumbMap": "鹰眼"
    }
  ],
  "useCoverMap": "true",
  "waterMark": false,
  "widgets": [
    {
      "widgets": [
        {
          "widgets": [
            {
              "label": "巡检总览",
              "shortName": "总览",
              "icon": "assets\\images\\menuNew\\02二级图标\\维保管理.svg",
              "url": "patrol/pipenetInspection|title=巡检总览&widget=2",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检总览_巡检总览",
              "breadcrumbMap": "管网巡检/巡检总览/巡检总览"
            },
            {
              "label": "巡检日历",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\维保计划.svg",
              "url": "product/patrol/patrolCalendar/patrolCalendar|widget=3",
              "config": "",
              "product": "civweb4",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检总览_巡检日历",
              "breadcrumbMap": "管网巡检/巡检总览/巡检日历"
            }
          ],
          "label": "巡检总览",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/统计.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网巡检_巡检总览",
          "breadcrumbMap": "管网巡检/巡检总览"
        },
        {
          "widgets": [
            {
              "label": "区域管理",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\排水\\二级\\事件上报.svg",
              "url": "patrol/areaManagement|copydmaarea=true&widget=5",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检计划_区域管理",
              "breadcrumbMap": "管网巡检/巡检计划/区域管理"
            },
            {
              "label": "计划管理",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\OA\\我的计划.svg",
              "url": "patrol/planManagement/index|time=昨天,今天,本周,上周,本月,上月&widget=6",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检计划_计划管理",
              "breadcrumbMap": "管网巡检/巡检计划/计划管理"
            },
            {
              "label": "任务派发",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\任务审核.svg",
              "url": "patrol/taskDispatch|time=昨天,今天,本周,上周,本月&widget=7",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检计划_任务派发",
              "breadcrumbMap": "管网巡检/巡检计划/任务派发"
            }
          ],
          "label": "巡检计划",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\产品统计.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网巡检_巡检计划",
          "breadcrumbMap": "管网巡检/巡检计划"
        },
        {
          "label": "任务总览",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\巡检任务.svg",
          "url": "patrol/taskOverview|time=昨天,今天,本周,上周,本月&widget=8",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网巡检_任务总览",
          "breadcrumbMap": "管网巡检/任务总览"
        },
        {
          "label": "轨迹监控",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\交流考察.svg",
          "url": "patrol/PositionAndTrajectory|open=1&widget=9",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网巡检_轨迹监控",
          "breadcrumbMap": "管网巡检/轨迹监控"
        },
        {
          "widgets": [
            {
              "label": "任务统计",
              "shortName": "",
              "icon": "assets/images/menuNew/OA/列表统计.svg",
              "url": "product/maintenance/PatrolManage/PatrolArriveRateStaticFrame|widget=11",
              "config": "",
              "product": "civweb4",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检统计_任务统计",
              "breadcrumbMap": "管网巡检/巡检统计/任务统计"
            },
            {
              "label": "工作量统计",
              "shortName": "统计",
              "icon": "assets\\images\\menuNew\\02二级图标\\统计分析.svg",
              "url": "patrol/workloadStatistics|widget=12",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检统计_工作量统计",
              "breadcrumbMap": "管网巡检/巡检统计/工作量统计"
            },
            {
              "label": "到位详情",
              "shortName": "",
              "icon": "assets/images/menu/变更管理.png",
              "url": "product/patrol/PatrolTrace/PatrolAndKeyPointArriveStaticView|widget=13",
              "config": "",
              "product": "civweb4",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检统计_到位详情",
              "breadcrumbMap": "管网巡检/巡检统计/到位详情"
            },
            {
              "label": "轨迹详情",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/巡检轨迹.svg",
              "url": "product/patrol/Trackdetails/Trackdetails|widget=14",
              "config": "",
              "product": "civweb4",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检统计_轨迹详情",
              "breadcrumbMap": "管网巡检/巡检统计/轨迹详情"
            },
            {
              "label": "GPS日报表",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/运行日志.svg",
              "url": "product/patrol/Gisdailyreport/Gisdailyreport|widget=15",
              "config": "",
              "product": "civweb4",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检统计_GPS日报表",
              "breadcrumbMap": "管网巡检/巡检统计/GPS日报表"
            }
          ],
          "label": "巡检统计",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\技术交流.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网巡检_巡检统计",
          "breadcrumbMap": "管网巡检/巡检统计"
        },
        {
          "label": "巡检日历",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\DMA管控.svg",
          "url": "patrol/InspectionCalendar|widget=17",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网巡检_巡检日历",
          "breadcrumbMap": "管网巡检/巡检日历"
        }
      ],
      "label": "管网巡检",
      "shortName": "巡检",
      "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\管网巡检.svg",
      "hideInMenu": false,
      "widgetId": "widget_bpm_管网巡检",
      "breadcrumbMap": "管网巡检"
    },
    {
      "widgets": [
        {
          "label": "模板管理",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\维保管理.svg",
          "url": "product/bpm/devicePlan/templateManagement/index|widget=18",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_泵房巡维_模板管理",
          "breadcrumbMap": "泵房巡维/模板管理"
        },
        {
          "label": "维保计划",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\维保计划.svg",
          "url": "product/bpm/devicePlan/maintenancePlan/index|widget=19",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_泵房巡维_维保计划",
          "breadcrumbMap": "泵房巡维/维保计划"
        },
        {
          "label": "维保任务",
          "shortName": "维保",
          "icon": "assets\\images\\menuNew\\03三级图标\\维保任务.svg",
          "url": "product/bpm/devicePlan/taskManage/index|widget=20",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_泵房巡维_维保任务",
          "breadcrumbMap": "泵房巡维/维保任务"
        },
        {
          "label": "维保总览",
          "shortName": "总览",
          "icon": "assets\\images\\menuNew\\02二级图标\\泵房维保.svg",
          "url": "maintenanceOverview|widget=21",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_泵房巡维_维保总览",
          "breadcrumbMap": "泵房巡维/维保总览"
        }
      ],
      "label": "泵房巡维",
      "shortName": "",
      "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\泵房巡检.svg",
      "hideInMenu": false,
      "widgetId": "widget_bpm_泵房巡维",
      "breadcrumbMap": "泵房巡维"
    },
    {
      "widgets": [
        {
          "label": "个人工作台",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\BI驾驶舱.svg",
          "url": "product/bpm/eventManage/workBench|widget=22",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_个人工作台",
          "breadcrumbMap": "维修工单/个人工作台"
        },
        {
          "label": "业务中心",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\项目流程.svg",
          "url": "product/bpm/eventManage/flowCenter|widget=23",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_业务中心",
          "breadcrumbMap": "维修工单/业务中心"
        },
        {
          "label": "我的上报",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\上报信息审核.svg",
          "url": "product/bpm/eventManage/reportHistory|widget=24",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_我的上报",
          "breadcrumbMap": "维修工单/我的上报"
        },
        {
          "widgets": [
            {
              "label": "用户停水事件",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\01一级图标\\市场调研.svg",
              "url": "product/bpm/eventManage/menuReport/index|eventName=用户停水事件&widget=26",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_问题上报_用户停水事件",
              "breadcrumbMap": "维修工单/问题上报/用户停水事件"
            },
            {
              "label": "瑞云维修填报",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\二供工艺.svg",
              "url": "product/bpm/eventManage/menuReport/index|eventName=瑞云维修填报&widget=27",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_问题上报_瑞云维修填报",
              "breadcrumbMap": "维修工单/问题上报/瑞云维修填报"
            }
          ],
          "label": "问题上报",
          "shortName": "上报",
          "icon": "assets\\images\\menuNew\\02二级图标\\技术方案.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_问题上报",
          "breadcrumbMap": "维修工单/问题上报"
        },
        {
          "widgets": [
            {
              "label": "事件调度",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\事件调度.svg",
              "url": "product/bpm/eventManage/eventBox/index|box=dispatch&widget=29",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_业务调度_事件调度",
              "breadcrumbMap": "维修工单/业务调度/事件调度"
            },
            {
              "label": "单事件调度",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\事件调度.svg",
              "url": "product/bpm/eventManage/eventBox/index|box=dispatch&eventNames=承诺服务&widget=30",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_业务调度_单事件调度",
              "breadcrumbMap": "维修工单/业务调度/单事件调度"
            },
            {
              "label": "多事件调度",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\供水一体化.svg",
              "url": "product/bpm/eventManage/eventBox/index|box=dispatch&eventNames=承诺服务,水表问题&widget=31",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_业务调度_多事件调度",
              "breadcrumbMap": "维修工单/业务调度/多事件调度"
            },
            {
              "label": "调度总览",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\供水一体化.svg",
              "url": "product/bpm/eventManage/eventBox/index|box=overview&widget=32",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_业务调度_调度总览",
              "breadcrumbMap": "维修工单/业务调度/调度总览"
            },
            {
              "label": "调度管理",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\供水一体化.svg",
              "url": "product/bpm/eventManage/eventBox/index|box=overview&isDelete=true&widget=33",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_业务调度_调度管理",
              "breadcrumbMap": "维修工单/业务调度/调度管理"
            }
          ],
          "label": "业务调度",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\事件总览.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_业务调度",
          "breadcrumbMap": "维修工单/业务调度"
        },
        {
          "widgets": [
            {
              "label": "我的待办",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\应急指挥.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=doing&flowNo=&nodeName=&widget=35",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_工单办理_我的待办",
              "breadcrumbMap": "维修工单/工单办理/我的待办"
            },
            {
              "label": "单流程待办",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\水表管理.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=doing&flowNames=承诺服务&widget=36",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_工单办理_单流程待办",
              "breadcrumbMap": "维修工单/工单办理/单流程待办"
            },
            {
              "label": "多流程待办",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\DMA管控.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=doing&flowNames=承诺服务,维修费用上交&widget=37",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_工单办理_多流程待办",
              "breadcrumbMap": "维修工单/工单办理/多流程待办"
            },
            {
              "label": "我的已办",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\供水一体化.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=done&widget=38",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_工单办理_我的已办",
              "breadcrumbMap": "维修工单/工单办理/我的已办"
            },
            {
              "label": "抄送办理",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\二供监控.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=overview&isCarbonCopy=1&flowNo=&widget=39",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_工单办理_抄送办理",
              "breadcrumbMap": "维修工单/工单办理/抄送办理"
            },
            {
              "label": "工单总览",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\物资管理.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=overview&isDelete=true&flowNo=&widget=40",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_工单办理_工单总览",
              "breadcrumbMap": "维修工单/工单办理/工单总览"
            },
            {
              "label": "批注总览",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\白色图标\\维修工单.svg",
              "url": "product/bpm/caseMange/annotationOverview/index|widget=41",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_工单办理_批注总览",
              "breadcrumbMap": "维修工单/工单办理/批注总览"
            },
            {
              "label": "延期审核",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\任务审核.svg",
              "url": "product/bpm/caseMange/applyOvertime|widget=42",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_工单办理_延期审核",
              "breadcrumbMap": "维修工单/工单办理/延期审核"
            }
          ],
          "label": "工单办理",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\工单总览.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_工单办理",
          "breadcrumbMap": "维修工单/工单办理"
        },
        {
          "label": "外链跳转",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\DMA管控.svg",
          "url": "product/manage/EmbeddedJumpLink/EmbeddedJumpLink|link=https://yxys.panda-water.cn/@/login?ticket=189600EAB876A76573158DCD9A346EC716A26E081F56226D92F1CABC595572A3D09FABEA9FB9C2802697D1AA1C4ED4E75344624DFF6027B1",
          "config": "",
          "product": "civweb4",
          "hideInMenu": true,
          "widgetId": "widget_bpm_维修工单_外链跳转",
          "breadcrumbMap": "维修工单/外链跳转"
        },
        {
          "label": "手持下载",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\工艺监控.svg",
          "url": "product/manage/NestedLinkView/NestedLinkView|linkUrl=http://gis.panda-water.cn/codedownpage/index.html",
          "config": "",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_手持下载",
          "breadcrumbMap": "维修工单/手持下载"
        },
        {
          "label": "事件统计",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\统计分析.svg",
          "url": "product/bpm/statistics/eventStatistics|widget=44",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_事件统计",
          "breadcrumbMap": "维修工单/事件统计"
        },
        {
          "label": "事件热力图",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\数据图标1.svg",
          "url": "product/bpm/statistics/eventHeating|widget=45",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_事件热力图",
          "breadcrumbMap": "维修工单/事件热力图"
        }
      ],
      "label": "维修工单",
      "shortName": "",
      "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\维修工单.svg",
      "hideInMenu": false,
      "widgetId": "widget_bpm_维修工单",
      "breadcrumbMap": "维修工单"
    },
    {
      "widgets": [
        {
          "widgets": [
            {
              "label": "运营总览",
              "shortName": "BI",
              "icon": "assets\\images\\menuNew\\02二级图标\\BI驾驶舱.svg",
              "url": "product/dma/overviewBI/overviewBI|level=1&leakRate=15&device=邛崃流量计,二供泵房测试,邛崃考核表&userAccess=true&zoom=13&widget=47",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_运营总览_运营总览",
              "breadcrumbMap": "漏损控制/运营总览/运营总览"
            },
            {
              "label": "计量关系图",
              "shortName": "计量关系",
              "icon": "assets\\images\\menuNew\\02二级图标\\分析.svg",
              "url": "product/dma/meteringRelation/meteringRelation|userAccess=true&name=瑞云市政供水&level=1&widget=48",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_运营总览_计量关系图",
              "breadcrumbMap": "漏损控制/运营总览/计量关系图"
            }
          ],
          "label": "运营总览",
          "shortName": "总览",
          "icon": "assets\\images\\menuNew\\02二级图标\\专题图.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_运营总览",
          "breadcrumbMap": "漏损控制/运营总览"
        },
        {
          "widgets": [
            {
              "label": "分区绘制",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\地图监控.svg",
              "url": "product/dma/areaPlan/areaPlan|device=邛崃流量计,二供泵房测试,邛崃考核表,二供机组&userAccess=true&widget=50",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_分区管理_分区绘制",
              "breadcrumbMap": "漏损控制/分区管理/分区绘制"
            },
            {
              "label": "零压测试",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\压力分布.svg",
              "url": "product/dma/zeroPressure/zeroPressure|device=阀门&userAccess=true&widget=51",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_分区管理_零压测试",
              "breadcrumbMap": "漏损控制/分区管理/零压测试"
            },
            {
              "label": "户表挂接",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\客户数据.svg",
              "url": "product/dma/hookUser/hookUser|userAccess=true&widget=52",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_分区管理_户表挂接",
              "breadcrumbMap": "漏损控制/分区管理/户表挂接"
            },
            {
              "label": "分区操作日志",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\三级\\办理日志.svg",
              "url": "product/dma/operationLog/operationLog|userAccess=true&widget=53",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_分区管理_分区操作日志",
              "breadcrumbMap": "漏损控制/分区管理/分区操作日志"
            }
          ],
          "label": "分区管理",
          "shortName": "规划",
          "icon": "assets\\images\\menuNew\\02二级图标\\关联申请.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_分区管理",
          "breadcrumbMap": "漏损控制/分区管理"
        },
        {
          "widgets": [
            {
              "label": "户表抄表",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\催收查询.svg",
              "url": "product/dma/readingMeter/readingMeter|userAccess=true&device=户表&widget=55",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_抄表管理_户表抄表",
              "breadcrumbMap": "漏损控制/抄表管理/户表抄表"
            },
            {
              "label": "考核表抄表",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\DMA图标\\02二级菜单\\9-3抄表台账.svg",
              "url": "product/dma/readingMeter/readingMeter|device=邛崃考核表&userAccess=true&readType=考核表&widget=56",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_抄表管理_考核表抄表",
              "breadcrumbMap": "漏损控制/抄表管理/考核表抄表"
            },
            {
              "label": "免费注册水量",
              "shortName": "免费用水",
              "icon": "assets\\images\\menuNew\\02二级图标\\查询.svg",
              "url": "product/common/AccountManage/AccountManage|accountName=免费注册用水台账&showTime=false&pageSize=50&userAccess=true&widget=57",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_抄表管理_免费注册水量",
              "breadcrumbMap": "漏损控制/抄表管理/免费注册水量"
            }
          ],
          "label": "抄表管理",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\DMA图标\\01一级菜单\\7-表计管理.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_抄表管理",
          "breadcrumbMap": "漏损控制/抄表管理"
        },
        {
          "widgets": [
            {
              "label": "分区监控",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\管网监控.svg",
              "url": "product/dma/areaMonitor/areaMonitor|level=1&userAccess=true&widget=59",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_分区监控_分区监控",
              "breadcrumbMap": "漏损控制/分区监控/分区监控"
            },
            {
              "label": "分区详情",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\订单信息.svg",
              "url": "product/dma/areaDetail/areaDetail|userAccess=true&widget=60",
              "config": "jumpPath",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_分区监控_分区详情",
              "breadcrumbMap": "漏损控制/分区监控/分区详情"
            },
            {
              "label": "表计监控",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\DMA图标\\02二级菜单\\3-3户表监控.svg",
              "url": "product/dma/meterDetail/meterDetail|deviceAndType=二供泵房测试-瞬流指标,邛崃流量计-瞬流指标,邛崃考核表-瞬流指标&userAccess=true&sensorTypes=瞬流指标,累流指标,压力指标&widget=61",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_分区监控_表计监控",
              "breadcrumbMap": "漏损控制/分区监控/表计监控"
            }
          ],
          "label": "分区监控",
          "shortName": "监控",
          "icon": "assets\\images\\menuNew\\02二级图标\\水源井巡视.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_分区监控",
          "breadcrumbMap": "漏损控制/分区监控"
        },
        {
          "widgets": [
            {
              "label": "小流量监控",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\数据监控.svg",
              "url": "product/dma/flowMonitor/flowMonitor|level=1&userAccess=true&widget=63",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_夜间用量_小流量监控",
              "breadcrumbMap": "漏损控制/夜间用量/小流量监控"
            },
            {
              "label": "小流量分析",
              "shortName": "流量分析",
              "icon": "assets\\images\\menuNew\\03三级图标\\数据监控.svg",
              "url": "product/dma/nightLowFlow/nightLowFlow|userAccess=true&widget=64",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_夜间用量_小流量分析",
              "breadcrumbMap": "漏损控制/夜间用量/小流量分析"
            }
          ],
          "label": "夜间用量",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\夜间小流量分析.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_夜间用量",
          "breadcrumbMap": "漏损控制/夜间用量"
        },
        {
          "widgets": [
            {
              "label": "漏损分析",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\漏损分析.svg",
              "url": "product/dma/leakageAnalysis/leakageAnalysis|userAccess=true&widget=66",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_运营分析_漏损分析",
              "breadcrumbMap": "漏损控制/运营分析/漏损分析"
            },
            {
              "label": "抄表分析",
              "shortName": "抄表分析",
              "icon": "assets\\images\\menuNew\\02二级图标\\关联申请.svg",
              "url": "product/dma/meterReadingAnalysis/meterReadingAnalysis|userAccess=true&widget=67",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_运营分析_抄表分析",
              "breadcrumbMap": "漏损控制/运营分析/抄表分析"
            },
            {
              "label": "水量统计",
              "shortName": "水量统计",
              "icon": "assets\\images\\menuNew\\03三级图标\\水质监测.svg",
              "url": "product/dma/waterStatistics/waterStatistics|userAccess=true&widget=68",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_运营分析_水量统计",
              "breadcrumbMap": "漏损控制/运营分析/水量统计"
            },
            {
              "label": "用水分析",
              "shortName": "用水分析",
              "icon": "assets\\images\\menuNew\\03三级图标\\用量分析.svg",
              "url": "product/dma/waterAnalysis/waterAnalysis|userAccess=true&widget=69",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_运营分析_用水分析",
              "breadcrumbMap": "漏损控制/运营分析/用水分析"
            },
            {
              "label": "压力调控",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\等水压分析.svg",
              "url": "product/dma/pressureRegulation/pressureRegulation|userAccess=true&device=邛崃考核表&zoom=13&center=11517308.317,3557310.325&targetName=压力指标&widget=70",
              "config": "heatMap",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_运营分析_压力调控",
              "breadcrumbMap": "漏损控制/运营分析/压力调控"
            }
          ],
          "label": "运营分析",
          "shortName": "分析",
          "icon": "assets\\images\\menuNew\\02二级图标\\分析.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_运营分析",
          "breadcrumbMap": "漏损控制/运营分析"
        },
        {
          "widgets": [
            {
              "label": "阀门工单",
              "shortName": "阀门工单",
              "icon": "assets\\images\\menuNew\\03三级图标\\工单办理.svg",
              "url": "product/dma/valveWorkOrder/valveWorkOrder|userAccess=true&widget=72",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_阀门管理_阀门工单",
              "breadcrumbMap": "漏损控制/阀门管理/阀门工单"
            },
            {
              "label": "阀控日志",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\智慧水厂.svg",
              "url": "product/dma/valveControlLog/valveControlLog|userAccess=true&widget=73",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_阀门管理_阀控日志",
              "breadcrumbMap": "漏损控制/阀门管理/阀控日志"
            }
          ],
          "label": "阀门管理",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\大口径阀门展示.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_阀门管理",
          "breadcrumbMap": "漏损控制/阀门管理"
        },
        {
          "widgets": [
            {
              "label": "方案制定",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00排水子系统\\泵站管理.svg",
              "url": "product/dma/leakScheme/leakScheme|device=邛崃流量计,二供泵房测试,邛崃考核表&userAccess=true&widget=75",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_DMA探漏_方案制定",
              "breadcrumbMap": "漏损控制/DMA探漏/方案制定"
            },
            {
              "label": "方案管理",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\流量管理.svg",
              "url": "product/dma/leakDetectionPlan/leakDetectionPlan|userAccess=true&widget=76",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_DMA探漏_方案管理",
              "breadcrumbMap": "漏损控制/DMA探漏/方案管理"
            }
          ],
          "label": "DMA探漏",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\DMA管理.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_DMA探漏",
          "breadcrumbMap": "漏损控制/DMA探漏"
        },
        {
          "widgets": [
            {
              "label": "区域管理",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\任务审核.svg",
              "url": "patrol/areaManagement|role=巡检员&widget=78",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_计划检漏_区域管理",
              "breadcrumbMap": "漏损控制/计划检漏/区域管理"
            },
            {
              "label": "计划管理",
              "shortName": "计划制定",
              "icon": "assets\\images\\menuNew\\OA\\我的计划.svg",
              "url": "patrol/planManagement/index|time=昨天,今天,本周,上周,本月,上月&|role=巡检员&widget=79",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_计划检漏_计划管理",
              "breadcrumbMap": "漏损控制/计划检漏/计划管理"
            },
            {
              "label": "任务派发",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\巡检任务.svg",
              "url": "patrol/taskDispatch|role=巡检员&widget=80",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_计划检漏_任务派发",
              "breadcrumbMap": "漏损控制/计划检漏/任务派发"
            },
            {
              "label": "任务总览",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\排水\\三级\\事件总览.svg",
              "url": "patrol/taskOverview|widget=81",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_计划检漏_任务总览",
              "breadcrumbMap": "漏损控制/计划检漏/任务总览"
            }
          ],
          "label": "计划检漏",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\巡检任务.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_计划检漏",
          "breadcrumbMap": "漏损控制/计划检漏"
        },
        {
          "widgets": [
            {
              "label": "漏点上报",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\DMA图标\\02二级菜单\\6-2漏点上报.svg",
              "url": "product/bpm/eventManage/menuReport/index|eventName=漏点发起事件&widget=83",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_检漏工单_漏点上报",
              "breadcrumbMap": "漏损控制/检漏工单/漏点上报"
            },
            {
              "label": "维修上报",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\DMA图标\\02二级菜单\\6-4维修记录.svg",
              "url": "product/bpm/eventManage/menuReport/index|eventName=维修处理事件&widget=84",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_检漏工单_维修上报",
              "breadcrumbMap": "漏损控制/检漏工单/维修上报"
            },
            {
              "label": "上报历史",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\排水\\三级\\事件历史.svg",
              "url": "product/bpm/eventManage/reportHistory|widget=85",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_检漏工单_上报历史",
              "breadcrumbMap": "漏损控制/检漏工单/上报历史"
            },
            {
              "label": "工单办理",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\排水\\二级\\事件处理.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=doing&widget=86",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_检漏工单_工单办理",
              "breadcrumbMap": "漏损控制/检漏工单/工单办理"
            },
            {
              "label": "办理日志",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\工单办理.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=done&widget=87",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_检漏工单_办理日志",
              "breadcrumbMap": "漏损控制/检漏工单/办理日志"
            },
            {
              "label": "事件总览",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\事件总览.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=overview&flowName=漏点处理流程&widget=88",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_检漏工单_事件总览",
              "breadcrumbMap": "漏损控制/检漏工单/事件总览"
            },
            {
              "label": "漏点总览",
              "shortName": "总览",
              "icon": "assets\\images\\menuNew\\03三级图标\\漏损分析.svg",
              "url": "overviewLeakagePoints|widget=89",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_检漏工单_漏点总览",
              "breadcrumbMap": "漏损控制/检漏工单/漏点总览"
            }
          ],
          "label": "检漏工单",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\漏损分析.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_检漏工单",
          "breadcrumbMap": "漏损控制/检漏工单"
        },
        {
          "widgets": [
            {
              "label": "报警方案",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\报警方案.svg",
              "url": "productex/water/IOTMonitor/AlertInfoManage/AlertInfoManage|device=邛崃流量计,邛崃考核表,邛崃取水泵房&userAccess=true&widget=91",
              "config": "",
              "product": "civweb4",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_报警监控_报警方案",
              "breadcrumbMap": "漏损控制/报警监控/报警方案"
            },
            {
              "label": "实时报警",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\实时报警.svg",
              "url": "product/dma/realTimeAlarm/realTimeAlarm|device=邛崃流量计,邛崃考核表,二供泵房测试&userAccess=true&widget=92",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_报警监控_实时报警",
              "breadcrumbMap": "漏损控制/报警监控/实时报警"
            },
            {
              "label": "报警记录",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\报警记录.svg",
              "url": "product/dma/alarmRecord/alarmRecord|device=邛崃流量计,邛崃考核表,二供泵房测试&userAccess=true&widget=93",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_报警监控_报警记录",
              "breadcrumbMap": "漏损控制/报警监控/报警记录"
            }
          ],
          "label": "报警监控",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\报警监控.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_报警监控",
          "breadcrumbMap": "漏损控制/报警监控"
        },
        {
          "widgets": [
            {
              "label": "户表台账",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\DMA图标\\02二级菜单\\9-4户表台账.svg",
              "url": "product/common/AccountManage/AccountManage|accountName=户表&userAccess=true&widget=95",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_台账管理_户表台账",
              "breadcrumbMap": "漏损控制/台账管理/户表台账"
            },
            {
              "label": "邛崃考核表台账",
              "shortName": "邛崃考核表台账",
              "icon": "assets\\images\\menuNew\\DMA图标\\02二级菜单\\9-4户表台账.svg",
              "url": "product/common/AccountManage/AccountManage|accountName=邛崃DMA考核表&userAccess=true&widget=96",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_台账管理_邛崃考核表台账",
              "breadcrumbMap": "漏损控制/台账管理/邛崃考核表台账"
            },
            {
              "label": "邛崃流量计",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\台账管理.svg",
              "url": "product/common/AccountManage/AccountManage|accountName=邛崃流量计&widget=97",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_台账管理_邛崃流量计",
              "breadcrumbMap": "漏损控制/台账管理/邛崃流量计"
            },
            {
              "label": "指标配置",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\指标.svg",
              "url": "productex/water/IOTConfSetting/OperationTargetSet/OperationTargetSet|addRole=true&widget=98",
              "config": "",
              "product": "civweb4",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_台账管理_指标配置",
              "breadcrumbMap": "漏损控制/台账管理/指标配置"
            }
          ],
          "label": "台账管理",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\台账管理.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_台账管理",
          "breadcrumbMap": "漏损控制/台账管理"
        },
        {
          "label": "系统设置",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\基本设置.svg",
          "url": "productex/water/IOTConfSetting/PermissionAssignment/PermissionAssignment|widget=99",
          "config": "",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_系统设置",
          "breadcrumbMap": "漏损控制/系统设置"
        },
        {
          "label": "配置信息",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\指标配置.svg",
          "url": "product/common/AccountManage/AccountManage|accountName=DMA配置信息&widget=100",
          "config": "",
          "product": "civ_water",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_配置信息",
          "breadcrumbMap": "漏损控制/配置信息"
        }
      ],
      "label": "漏损控制",
      "shortName": "",
      "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\DMA管控.svg",
      "hideInMenu": false,
      "widgetId": "widget_bpm_漏损控制",
      "breadcrumbMap": "漏损控制"
    },
    {
      "widgets": [
        {
          "label": "采集总览BI",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/BI驾驶舱.svg",
          "url": "bigScreenDisplay/gatherOverview/index|widget=178",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网采集_采集总览BI",
          "breadcrumbMap": "管网采集/采集总览BI"
        },
        {
          "label": "新建工程",
          "shortName": "",
          "icon": "assets/images/menuNew/排水/三级/事件上报.svg",
          "url": "pipenetCollection/pipenetGatherNewBuildCase/index|widget=179",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网采集_新建工程",
          "breadcrumbMap": "管网采集/新建工程"
        },
        {
          "label": "工程管理",
          "shortName": "",
          "icon": "assets/images/menuNew/排水/三级/事件总览.svg",
          "url": "pipenetCollection/PipenetGatherCaseManager/index|widget=180",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网采集_工程管理",
          "breadcrumbMap": "管网采集/工程管理"
        },
        {
          "label": "工程删除",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\工具.svg",
          "url": "pipenetCollection/PipenetGatherCaseManager/index|isDelete=true&widget=181",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网采集_工程删除",
          "breadcrumbMap": "管网采集/工程删除"
        },
        {
          "label": "工程总览",
          "shortName": "",
          "icon": "assets/images/menuNew/排水/三级/事件删除.svg",
          "url": "product/bpm/caseMange/caseBox/index|box=overview&flowName=管网采集&isDelete=true&widget=182",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网采集_工程总览",
          "breadcrumbMap": "管网采集/工程总览"
        },
        {
          "label": "采集分析",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/运行分析.svg",
          "url": "pipenetCollection/pipenetGatherOverview/index|widget=183",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网采集_采集分析",
          "breadcrumbMap": "管网采集/采集分析"
        },
        {
          "label": "入库统计",
          "shortName": "",
          "icon": "assets/images/menuNew/OA/列表统计.svg",
          "url": "pipenetCollection/pipenetGatherStatistic/index|widget=184",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网采集_入库统计",
          "breadcrumbMap": "管网采集/入库统计"
        }
      ],
      "label": "管网采集",
      "shortName": "",
      "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\管网采集.svg",
      "hideInMenu": false,
      "widgetId": "widget_bpm_管网采集",
      "breadcrumbMap": "管网采集"
    },
    {
      "widgets": [
        {
          "label": "形态测试",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\DMA管控.svg",
          "url": "product/common/AccountManage/AccountManage|accountName=形态测试台账WY&resize=true&widget=190",
          "config": "",
          "product": "civ_water",
          "hideInMenu": false,
          "widgetId": "widget_bpm_标准台账_形态测试",
          "breadcrumbMap": "标准台账/形态测试"
        },
        {
          "label": "表单设计器",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\DMA管控.svg",
          "url": "product/bpm/eventManage/demo|widget=191",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_标准台账_表单设计器",
          "breadcrumbMap": "标准台账/表单设计器"
        }
      ],
      "label": "标准台账",
      "shortName": "",
      "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\物资管理.svg",
      "hideInMenu": false,
      "widgetId": "widget_bpm_标准台账",
      "breadcrumbMap": "标准台账"
    },
    {
      "widgets": [
        {
          "label": "流程设计",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\项目流程.svg",
          "url": "product/embedOms/Index|mark=center&widget=192",
          "config": "",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_系统设置_流程设计",
          "breadcrumbMap": "系统设置/流程设计"
        },
        {
          "label": "节假日管理",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\解决方案.svg",
          "url": "product/embedOms/Index|mark=holidays&widget=193",
          "config": "",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_系统设置_节假日管理",
          "breadcrumbMap": "系统设置/节假日管理"
        },
        {
          "label": "巡检反馈",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\台账管理.svg",
          "url": "product/embedOms/Index|mark=patrolFeedback&widget=194",
          "config": "",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_系统设置_巡检反馈",
          "breadcrumbMap": "系统设置/巡检反馈"
        },
        {
          "label": "维保模板",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\合同查询.svg",
          "url": "product/embedOms/Index|mark=maintenance&widget=195",
          "config": "",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_系统设置_维保模板",
          "breadcrumbMap": "系统设置/维保模板"
        }
      ],
      "label": "系统设置",
      "shortName": "",
      "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\系统设置.svg",
      "hideInMenu": false,
      "widgetId": "widget_bpm_系统设置",
      "breadcrumbMap": "系统设置"
    }
  ],
  "shareWidget": {
    "label": "share",
    "url": null,
    "config": null
  },
  "initToken": null,
  "access_token": "",
  "ip": "localhost:3000",
  "ddCode": null,
  "search": null,
  "isCloud": false,
  "isShared": false,
  "isSingleLogin": null,
  "layout": null,
  "loginName": null,
  "loginParams": null,
  "maxTabCount": 10,
  "mqtt_IsSSL": false,
  "mqtt_iotIP": "",
  "mqtt_mess": {},
  "mqtt_path": "",
  "mqtt_site_code": "",
  "nginxStart": false,
  "prefix": "",
  "protocol": "http:",
  "sensorType": "",
  "isMock": false,
  "crossdomains": [],
  "allWidgets": [
    {
      "widgets": [
        {
          "widgets": [
            {
              "label": "巡检总览",
              "shortName": "总览",
              "icon": "assets\\images\\menuNew\\02二级图标\\维保管理.svg",
              "url": "patrol/pipenetInspection|title=巡检总览&widget=2",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检总览_巡检总览",
              "breadcrumbMap": "管网巡检/巡检总览/巡检总览"
            },
            {
              "label": "巡检日历",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\维保计划.svg",
              "url": "product/patrol/patrolCalendar/patrolCalendar|widget=3",
              "config": "",
              "product": "civweb4",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检总览_巡检日历",
              "breadcrumbMap": "管网巡检/巡检总览/巡检日历"
            }
          ],
          "label": "巡检总览",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/统计.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网巡检_巡检总览",
          "breadcrumbMap": "管网巡检/巡检总览"
        },
        {
          "widgets": [
            {
              "label": "区域管理",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\排水\\二级\\事件上报.svg",
              "url": "patrol/areaManagement|copydmaarea=true&widget=5",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检计划_区域管理",
              "breadcrumbMap": "管网巡检/巡检计划/区域管理"
            },
            {
              "label": "计划管理",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\OA\\我的计划.svg",
              "url": "patrol/planManagement/index|time=昨天,今天,本周,上周,本月,上月&widget=6",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检计划_计划管理",
              "breadcrumbMap": "管网巡检/巡检计划/计划管理"
            },
            {
              "label": "任务派发",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\任务审核.svg",
              "url": "patrol/taskDispatch|time=昨天,今天,本周,上周,本月&widget=7",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检计划_任务派发",
              "breadcrumbMap": "管网巡检/巡检计划/任务派发"
            }
          ],
          "label": "巡检计划",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\产品统计.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网巡检_巡检计划",
          "breadcrumbMap": "管网巡检/巡检计划"
        },
        {
          "label": "任务总览",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\巡检任务.svg",
          "url": "patrol/taskOverview|time=昨天,今天,本周,上周,本月&widget=8",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网巡检_任务总览",
          "breadcrumbMap": "管网巡检/任务总览"
        },
        {
          "label": "轨迹监控",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\交流考察.svg",
          "url": "patrol/PositionAndTrajectory|open=1&widget=9",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网巡检_轨迹监控",
          "breadcrumbMap": "管网巡检/轨迹监控"
        },
        {
          "widgets": [
            {
              "label": "任务统计",
              "shortName": "",
              "icon": "assets/images/menuNew/OA/列表统计.svg",
              "url": "product/maintenance/PatrolManage/PatrolArriveRateStaticFrame|widget=11",
              "config": "",
              "product": "civweb4",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检统计_任务统计",
              "breadcrumbMap": "管网巡检/巡检统计/任务统计"
            },
            {
              "label": "工作量统计",
              "shortName": "统计",
              "icon": "assets\\images\\menuNew\\02二级图标\\统计分析.svg",
              "url": "patrol/workloadStatistics|widget=12",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检统计_工作量统计",
              "breadcrumbMap": "管网巡检/巡检统计/工作量统计"
            },
            {
              "label": "到位详情",
              "shortName": "",
              "icon": "assets/images/menu/变更管理.png",
              "url": "product/patrol/PatrolTrace/PatrolAndKeyPointArriveStaticView|widget=13",
              "config": "",
              "product": "civweb4",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检统计_到位详情",
              "breadcrumbMap": "管网巡检/巡检统计/到位详情"
            },
            {
              "label": "轨迹详情",
              "shortName": "",
              "icon": "assets/images/menuNew/03三级图标/巡检轨迹.svg",
              "url": "product/patrol/Trackdetails/Trackdetails|widget=14",
              "config": "",
              "product": "civweb4",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检统计_轨迹详情",
              "breadcrumbMap": "管网巡检/巡检统计/轨迹详情"
            },
            {
              "label": "GPS日报表",
              "shortName": "",
              "icon": "assets/images/menuNew/02二级图标/运行日志.svg",
              "url": "product/patrol/Gisdailyreport/Gisdailyreport|widget=15",
              "config": "",
              "product": "civweb4",
              "hideInMenu": false,
              "widgetId": "widget_bpm_管网巡检_巡检统计_GPS日报表",
              "breadcrumbMap": "管网巡检/巡检统计/GPS日报表"
            }
          ],
          "label": "巡检统计",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\技术交流.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网巡检_巡检统计",
          "breadcrumbMap": "管网巡检/巡检统计"
        },
        {
          "label": "巡检日历",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\DMA管控.svg",
          "url": "patrol/InspectionCalendar|widget=17",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网巡检_巡检日历",
          "breadcrumbMap": "管网巡检/巡检日历"
        }
      ],
      "label": "管网巡检",
      "shortName": "巡检",
      "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\管网巡检.svg",
      "hideInMenu": false,
      "widgetId": "widget_bpm_管网巡检",
      "breadcrumbMap": "管网巡检"
    },
    {
      "widgets": [
        {
          "label": "模板管理",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\维保管理.svg",
          "url": "product/bpm/devicePlan/templateManagement/index|widget=18",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_泵房巡维_模板管理",
          "breadcrumbMap": "泵房巡维/模板管理"
        },
        {
          "label": "维保计划",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\维保计划.svg",
          "url": "product/bpm/devicePlan/maintenancePlan/index|widget=19",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_泵房巡维_维保计划",
          "breadcrumbMap": "泵房巡维/维保计划"
        },
        {
          "label": "维保任务",
          "shortName": "维保",
          "icon": "assets\\images\\menuNew\\03三级图标\\维保任务.svg",
          "url": "product/bpm/devicePlan/taskManage/index|widget=20",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_泵房巡维_维保任务",
          "breadcrumbMap": "泵房巡维/维保任务"
        },
        {
          "label": "维保总览",
          "shortName": "总览",
          "icon": "assets\\images\\menuNew\\02二级图标\\泵房维保.svg",
          "url": "maintenanceOverview|widget=21",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_泵房巡维_维保总览",
          "breadcrumbMap": "泵房巡维/维保总览"
        }
      ],
      "label": "泵房巡维",
      "shortName": "",
      "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\泵房巡检.svg",
      "hideInMenu": false,
      "widgetId": "widget_bpm_泵房巡维",
      "breadcrumbMap": "泵房巡维"
    },
    {
      "widgets": [
        {
          "label": "个人工作台",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\BI驾驶舱.svg",
          "url": "product/bpm/eventManage/workBench|widget=22",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_个人工作台",
          "breadcrumbMap": "维修工单/个人工作台"
        },
        {
          "label": "业务中心",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\项目流程.svg",
          "url": "product/bpm/eventManage/flowCenter|widget=23",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_业务中心",
          "breadcrumbMap": "维修工单/业务中心"
        },
        {
          "label": "我的上报",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\上报信息审核.svg",
          "url": "product/bpm/eventManage/reportHistory|widget=24",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_我的上报",
          "breadcrumbMap": "维修工单/我的上报"
        },
        {
          "widgets": [
            {
              "label": "用户停水事件",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\01一级图标\\市场调研.svg",
              "url": "product/bpm/eventManage/menuReport/index|eventName=用户停水事件&widget=26",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_问题上报_用户停水事件",
              "breadcrumbMap": "维修工单/问题上报/用户停水事件"
            },
            {
              "label": "瑞云维修填报",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\二供工艺.svg",
              "url": "product/bpm/eventManage/menuReport/index|eventName=瑞云维修填报&widget=27",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_问题上报_瑞云维修填报",
              "breadcrumbMap": "维修工单/问题上报/瑞云维修填报"
            }
          ],
          "label": "问题上报",
          "shortName": "上报",
          "icon": "assets\\images\\menuNew\\02二级图标\\技术方案.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_问题上报",
          "breadcrumbMap": "维修工单/问题上报"
        },
        {
          "widgets": [
            {
              "label": "事件调度",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\事件调度.svg",
              "url": "product/bpm/eventManage/eventBox/index|box=dispatch&widget=29",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_业务调度_事件调度",
              "breadcrumbMap": "维修工单/业务调度/事件调度"
            },
            {
              "label": "单事件调度",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\事件调度.svg",
              "url": "product/bpm/eventManage/eventBox/index|box=dispatch&eventNames=承诺服务&widget=30",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_业务调度_单事件调度",
              "breadcrumbMap": "维修工单/业务调度/单事件调度"
            },
            {
              "label": "多事件调度",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\供水一体化.svg",
              "url": "product/bpm/eventManage/eventBox/index|box=dispatch&eventNames=承诺服务,水表问题&widget=31",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_业务调度_多事件调度",
              "breadcrumbMap": "维修工单/业务调度/多事件调度"
            },
            {
              "label": "调度总览",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\供水一体化.svg",
              "url": "product/bpm/eventManage/eventBox/index|box=overview&widget=32",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_业务调度_调度总览",
              "breadcrumbMap": "维修工单/业务调度/调度总览"
            },
            {
              "label": "调度管理",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\供水一体化.svg",
              "url": "product/bpm/eventManage/eventBox/index|box=overview&isDelete=true&widget=33",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_业务调度_调度管理",
              "breadcrumbMap": "维修工单/业务调度/调度管理"
            }
          ],
          "label": "业务调度",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\事件总览.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_业务调度",
          "breadcrumbMap": "维修工单/业务调度"
        },
        {
          "widgets": [
            {
              "label": "我的待办",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\应急指挥.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=doing&flowNo=&nodeName=&widget=35",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_工单办理_我的待办",
              "breadcrumbMap": "维修工单/工单办理/我的待办"
            },
            {
              "label": "单流程待办",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\水表管理.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=doing&flowNames=承诺服务&widget=36",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_工单办理_单流程待办",
              "breadcrumbMap": "维修工单/工单办理/单流程待办"
            },
            {
              "label": "多流程待办",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\DMA管控.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=doing&flowNames=承诺服务,维修费用上交&widget=37",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_工单办理_多流程待办",
              "breadcrumbMap": "维修工单/工单办理/多流程待办"
            },
            {
              "label": "我的已办",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\供水一体化.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=done&widget=38",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_工单办理_我的已办",
              "breadcrumbMap": "维修工单/工单办理/我的已办"
            },
            {
              "label": "抄送办理",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\二供监控.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=overview&isCarbonCopy=1&flowNo=&widget=39",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_工单办理_抄送办理",
              "breadcrumbMap": "维修工单/工单办理/抄送办理"
            },
            {
              "label": "工单总览",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\物资管理.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=overview&isDelete=true&flowNo=&widget=40",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_工单办理_工单总览",
              "breadcrumbMap": "维修工单/工单办理/工单总览"
            },
            {
              "label": "批注总览",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\白色图标\\维修工单.svg",
              "url": "product/bpm/caseMange/annotationOverview/index|widget=41",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_工单办理_批注总览",
              "breadcrumbMap": "维修工单/工单办理/批注总览"
            },
            {
              "label": "延期审核",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\任务审核.svg",
              "url": "product/bpm/caseMange/applyOvertime|widget=42",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_维修工单_工单办理_延期审核",
              "breadcrumbMap": "维修工单/工单办理/延期审核"
            }
          ],
          "label": "工单办理",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\工单总览.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_工单办理",
          "breadcrumbMap": "维修工单/工单办理"
        },
        {
          "label": "外链跳转",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\DMA管控.svg",
          "url": "product/manage/EmbeddedJumpLink/EmbeddedJumpLink|link=https://yxys.panda-water.cn/@/login?ticket=189600EAB876A76573158DCD9A346EC716A26E081F56226D92F1CABC595572A3D09FABEA9FB9C2802697D1AA1C4ED4E75344624DFF6027B1",
          "config": "",
          "product": "civweb4",
          "hideInMenu": true,
          "widgetId": "widget_bpm_维修工单_外链跳转",
          "breadcrumbMap": "维修工单/外链跳转"
        },
        {
          "label": "手持下载",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\工艺监控.svg",
          "url": "product/manage/NestedLinkView/NestedLinkView|linkUrl=http://gis.panda-water.cn/codedownpage/index.html",
          "config": "",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_手持下载",
          "breadcrumbMap": "维修工单/手持下载"
        },
        {
          "label": "事件统计",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\统计分析.svg",
          "url": "product/bpm/statistics/eventStatistics|widget=44",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_事件统计",
          "breadcrumbMap": "维修工单/事件统计"
        },
        {
          "label": "事件热力图",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\数据图标1.svg",
          "url": "product/bpm/statistics/eventHeating|widget=45",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_维修工单_事件热力图",
          "breadcrumbMap": "维修工单/事件热力图"
        }
      ],
      "label": "维修工单",
      "shortName": "",
      "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\维修工单.svg",
      "hideInMenu": false,
      "widgetId": "widget_bpm_维修工单",
      "breadcrumbMap": "维修工单"
    },
    {
      "widgets": [
        {
          "widgets": [
            {
              "label": "运营总览",
              "shortName": "BI",
              "icon": "assets\\images\\menuNew\\02二级图标\\BI驾驶舱.svg",
              "url": "product/dma/overviewBI/overviewBI|level=1&leakRate=15&device=邛崃流量计,二供泵房测试,邛崃考核表&userAccess=true&zoom=13&widget=47",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_运营总览_运营总览",
              "breadcrumbMap": "漏损控制/运营总览/运营总览"
            },
            {
              "label": "计量关系图",
              "shortName": "计量关系",
              "icon": "assets\\images\\menuNew\\02二级图标\\分析.svg",
              "url": "product/dma/meteringRelation/meteringRelation|userAccess=true&name=瑞云市政供水&level=1&widget=48",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_运营总览_计量关系图",
              "breadcrumbMap": "漏损控制/运营总览/计量关系图"
            }
          ],
          "label": "运营总览",
          "shortName": "总览",
          "icon": "assets\\images\\menuNew\\02二级图标\\专题图.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_运营总览",
          "breadcrumbMap": "漏损控制/运营总览"
        },
        {
          "widgets": [
            {
              "label": "分区绘制",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\地图监控.svg",
              "url": "product/dma/areaPlan/areaPlan|device=邛崃流量计,二供泵房测试,邛崃考核表,二供机组&userAccess=true&widget=50",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_分区管理_分区绘制",
              "breadcrumbMap": "漏损控制/分区管理/分区绘制"
            },
            {
              "label": "零压测试",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\压力分布.svg",
              "url": "product/dma/zeroPressure/zeroPressure|device=阀门&userAccess=true&widget=51",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_分区管理_零压测试",
              "breadcrumbMap": "漏损控制/分区管理/零压测试"
            },
            {
              "label": "户表挂接",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\客户数据.svg",
              "url": "product/dma/hookUser/hookUser|userAccess=true&widget=52",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_分区管理_户表挂接",
              "breadcrumbMap": "漏损控制/分区管理/户表挂接"
            },
            {
              "label": "分区操作日志",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\三级\\办理日志.svg",
              "url": "product/dma/operationLog/operationLog|userAccess=true&widget=53",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_分区管理_分区操作日志",
              "breadcrumbMap": "漏损控制/分区管理/分区操作日志"
            }
          ],
          "label": "分区管理",
          "shortName": "规划",
          "icon": "assets\\images\\menuNew\\02二级图标\\关联申请.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_分区管理",
          "breadcrumbMap": "漏损控制/分区管理"
        },
        {
          "widgets": [
            {
              "label": "户表抄表",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\催收查询.svg",
              "url": "product/dma/readingMeter/readingMeter|userAccess=true&device=户表&widget=55",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_抄表管理_户表抄表",
              "breadcrumbMap": "漏损控制/抄表管理/户表抄表"
            },
            {
              "label": "考核表抄表",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\DMA图标\\02二级菜单\\9-3抄表台账.svg",
              "url": "product/dma/readingMeter/readingMeter|device=邛崃考核表&userAccess=true&readType=考核表&widget=56",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_抄表管理_考核表抄表",
              "breadcrumbMap": "漏损控制/抄表管理/考核表抄表"
            },
            {
              "label": "免费注册水量",
              "shortName": "免费用水",
              "icon": "assets\\images\\menuNew\\02二级图标\\查询.svg",
              "url": "product/common/AccountManage/AccountManage|accountName=免费注册用水台账&showTime=false&pageSize=50&userAccess=true&widget=57",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_抄表管理_免费注册水量",
              "breadcrumbMap": "漏损控制/抄表管理/免费注册水量"
            }
          ],
          "label": "抄表管理",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\DMA图标\\01一级菜单\\7-表计管理.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_抄表管理",
          "breadcrumbMap": "漏损控制/抄表管理"
        },
        {
          "widgets": [
            {
              "label": "分区监控",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\管网监控.svg",
              "url": "product/dma/areaMonitor/areaMonitor|level=1&userAccess=true&widget=59",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_分区监控_分区监控",
              "breadcrumbMap": "漏损控制/分区监控/分区监控"
            },
            {
              "label": "分区详情",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\订单信息.svg",
              "url": "product/dma/areaDetail/areaDetail|userAccess=true&widget=60",
              "config": "jumpPath",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_分区监控_分区详情",
              "breadcrumbMap": "漏损控制/分区监控/分区详情"
            },
            {
              "label": "表计监控",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\DMA图标\\02二级菜单\\3-3户表监控.svg",
              "url": "product/dma/meterDetail/meterDetail|deviceAndType=二供泵房测试-瞬流指标,邛崃流量计-瞬流指标,邛崃考核表-瞬流指标&userAccess=true&sensorTypes=瞬流指标,累流指标,压力指标&widget=61",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_分区监控_表计监控",
              "breadcrumbMap": "漏损控制/分区监控/表计监控"
            }
          ],
          "label": "分区监控",
          "shortName": "监控",
          "icon": "assets\\images\\menuNew\\02二级图标\\水源井巡视.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_分区监控",
          "breadcrumbMap": "漏损控制/分区监控"
        },
        {
          "widgets": [
            {
              "label": "小流量监控",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\数据监控.svg",
              "url": "product/dma/flowMonitor/flowMonitor|level=1&userAccess=true&widget=63",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_夜间用量_小流量监控",
              "breadcrumbMap": "漏损控制/夜间用量/小流量监控"
            },
            {
              "label": "小流量分析",
              "shortName": "流量分析",
              "icon": "assets\\images\\menuNew\\03三级图标\\数据监控.svg",
              "url": "product/dma/nightLowFlow/nightLowFlow|userAccess=true&widget=64",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_夜间用量_小流量分析",
              "breadcrumbMap": "漏损控制/夜间用量/小流量分析"
            }
          ],
          "label": "夜间用量",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\夜间小流量分析.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_夜间用量",
          "breadcrumbMap": "漏损控制/夜间用量"
        },
        {
          "widgets": [
            {
              "label": "漏损分析",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\漏损分析.svg",
              "url": "product/dma/leakageAnalysis/leakageAnalysis|userAccess=true&widget=66",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_运营分析_漏损分析",
              "breadcrumbMap": "漏损控制/运营分析/漏损分析"
            },
            {
              "label": "抄表分析",
              "shortName": "抄表分析",
              "icon": "assets\\images\\menuNew\\02二级图标\\关联申请.svg",
              "url": "product/dma/meterReadingAnalysis/meterReadingAnalysis|userAccess=true&widget=67",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_运营分析_抄表分析",
              "breadcrumbMap": "漏损控制/运营分析/抄表分析"
            },
            {
              "label": "水量统计",
              "shortName": "水量统计",
              "icon": "assets\\images\\menuNew\\03三级图标\\水质监测.svg",
              "url": "product/dma/waterStatistics/waterStatistics|userAccess=true&widget=68",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_运营分析_水量统计",
              "breadcrumbMap": "漏损控制/运营分析/水量统计"
            },
            {
              "label": "用水分析",
              "shortName": "用水分析",
              "icon": "assets\\images\\menuNew\\03三级图标\\用量分析.svg",
              "url": "product/dma/waterAnalysis/waterAnalysis|userAccess=true&widget=69",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_运营分析_用水分析",
              "breadcrumbMap": "漏损控制/运营分析/用水分析"
            },
            {
              "label": "压力调控",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\等水压分析.svg",
              "url": "product/dma/pressureRegulation/pressureRegulation|userAccess=true&device=邛崃考核表&zoom=13&center=11517308.317,3557310.325&targetName=压力指标&widget=70",
              "config": "heatMap",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_运营分析_压力调控",
              "breadcrumbMap": "漏损控制/运营分析/压力调控"
            }
          ],
          "label": "运营分析",
          "shortName": "分析",
          "icon": "assets\\images\\menuNew\\02二级图标\\分析.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_运营分析",
          "breadcrumbMap": "漏损控制/运营分析"
        },
        {
          "widgets": [
            {
              "label": "阀门工单",
              "shortName": "阀门工单",
              "icon": "assets\\images\\menuNew\\03三级图标\\工单办理.svg",
              "url": "product/dma/valveWorkOrder/valveWorkOrder|userAccess=true&widget=72",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_阀门管理_阀门工单",
              "breadcrumbMap": "漏损控制/阀门管理/阀门工单"
            },
            {
              "label": "阀控日志",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\智慧水厂.svg",
              "url": "product/dma/valveControlLog/valveControlLog|userAccess=true&widget=73",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_阀门管理_阀控日志",
              "breadcrumbMap": "漏损控制/阀门管理/阀控日志"
            }
          ],
          "label": "阀门管理",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\大口径阀门展示.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_阀门管理",
          "breadcrumbMap": "漏损控制/阀门管理"
        },
        {
          "widgets": [
            {
              "label": "方案制定",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00排水子系统\\泵站管理.svg",
              "url": "product/dma/leakScheme/leakScheme|device=邛崃流量计,二供泵房测试,邛崃考核表&userAccess=true&widget=75",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_DMA探漏_方案制定",
              "breadcrumbMap": "漏损控制/DMA探漏/方案制定"
            },
            {
              "label": "方案管理",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\流量管理.svg",
              "url": "product/dma/leakDetectionPlan/leakDetectionPlan|userAccess=true&widget=76",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_DMA探漏_方案管理",
              "breadcrumbMap": "漏损控制/DMA探漏/方案管理"
            }
          ],
          "label": "DMA探漏",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\DMA管理.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_DMA探漏",
          "breadcrumbMap": "漏损控制/DMA探漏"
        },
        {
          "widgets": [
            {
              "label": "区域管理",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\任务审核.svg",
              "url": "patrol/areaManagement|role=巡检员&widget=78",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_计划检漏_区域管理",
              "breadcrumbMap": "漏损控制/计划检漏/区域管理"
            },
            {
              "label": "计划管理",
              "shortName": "计划制定",
              "icon": "assets\\images\\menuNew\\OA\\我的计划.svg",
              "url": "patrol/planManagement/index|time=昨天,今天,本周,上周,本月,上月&|role=巡检员&widget=79",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_计划检漏_计划管理",
              "breadcrumbMap": "漏损控制/计划检漏/计划管理"
            },
            {
              "label": "任务派发",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\巡检任务.svg",
              "url": "patrol/taskDispatch|role=巡检员&widget=80",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_计划检漏_任务派发",
              "breadcrumbMap": "漏损控制/计划检漏/任务派发"
            },
            {
              "label": "任务总览",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\排水\\三级\\事件总览.svg",
              "url": "patrol/taskOverview|widget=81",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_计划检漏_任务总览",
              "breadcrumbMap": "漏损控制/计划检漏/任务总览"
            }
          ],
          "label": "计划检漏",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\巡检任务.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_计划检漏",
          "breadcrumbMap": "漏损控制/计划检漏"
        },
        {
          "widgets": [
            {
              "label": "漏点上报",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\DMA图标\\02二级菜单\\6-2漏点上报.svg",
              "url": "product/bpm/eventManage/menuReport/index|eventName=漏点发起事件&widget=83",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_检漏工单_漏点上报",
              "breadcrumbMap": "漏损控制/检漏工单/漏点上报"
            },
            {
              "label": "维修上报",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\DMA图标\\02二级菜单\\6-4维修记录.svg",
              "url": "product/bpm/eventManage/menuReport/index|eventName=维修处理事件&widget=84",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_检漏工单_维修上报",
              "breadcrumbMap": "漏损控制/检漏工单/维修上报"
            },
            {
              "label": "上报历史",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\排水\\三级\\事件历史.svg",
              "url": "product/bpm/eventManage/reportHistory|widget=85",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_检漏工单_上报历史",
              "breadcrumbMap": "漏损控制/检漏工单/上报历史"
            },
            {
              "label": "工单办理",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\排水\\二级\\事件处理.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=doing&widget=86",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_检漏工单_工单办理",
              "breadcrumbMap": "漏损控制/检漏工单/工单办理"
            },
            {
              "label": "办理日志",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\工单办理.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=done&widget=87",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_检漏工单_办理日志",
              "breadcrumbMap": "漏损控制/检漏工单/办理日志"
            },
            {
              "label": "事件总览",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\事件总览.svg",
              "url": "product/bpm/caseMange/caseBox/index|box=overview&flowName=漏点处理流程&widget=88",
              "config": "",
              "product": "civ_workflow",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_检漏工单_事件总览",
              "breadcrumbMap": "漏损控制/检漏工单/事件总览"
            },
            {
              "label": "漏点总览",
              "shortName": "总览",
              "icon": "assets\\images\\menuNew\\03三级图标\\漏损分析.svg",
              "url": "overviewLeakagePoints|widget=89",
              "config": "",
              "product": "civ_webgis",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_检漏工单_漏点总览",
              "breadcrumbMap": "漏损控制/检漏工单/漏点总览"
            }
          ],
          "label": "检漏工单",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\漏损分析.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_检漏工单",
          "breadcrumbMap": "漏损控制/检漏工单"
        },
        {
          "widgets": [
            {
              "label": "报警方案",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\报警方案.svg",
              "url": "productex/water/IOTMonitor/AlertInfoManage/AlertInfoManage|device=邛崃流量计,邛崃考核表,邛崃取水泵房&userAccess=true&widget=91",
              "config": "",
              "product": "civweb4",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_报警监控_报警方案",
              "breadcrumbMap": "漏损控制/报警监控/报警方案"
            },
            {
              "label": "实时报警",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\实时报警.svg",
              "url": "product/dma/realTimeAlarm/realTimeAlarm|device=邛崃流量计,邛崃考核表,二供泵房测试&userAccess=true&widget=92",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_报警监控_实时报警",
              "breadcrumbMap": "漏损控制/报警监控/实时报警"
            },
            {
              "label": "报警记录",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\03三级图标\\报警记录.svg",
              "url": "product/dma/alarmRecord/alarmRecord|device=邛崃流量计,邛崃考核表,二供泵房测试&userAccess=true&widget=93",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_报警监控_报警记录",
              "breadcrumbMap": "漏损控制/报警监控/报警记录"
            }
          ],
          "label": "报警监控",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\报警监控.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_报警监控",
          "breadcrumbMap": "漏损控制/报警监控"
        },
        {
          "widgets": [
            {
              "label": "户表台账",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\DMA图标\\02二级菜单\\9-4户表台账.svg",
              "url": "product/common/AccountManage/AccountManage|accountName=户表&userAccess=true&widget=95",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_台账管理_户表台账",
              "breadcrumbMap": "漏损控制/台账管理/户表台账"
            },
            {
              "label": "邛崃考核表台账",
              "shortName": "邛崃考核表台账",
              "icon": "assets\\images\\menuNew\\DMA图标\\02二级菜单\\9-4户表台账.svg",
              "url": "product/common/AccountManage/AccountManage|accountName=邛崃DMA考核表&userAccess=true&widget=96",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_台账管理_邛崃考核表台账",
              "breadcrumbMap": "漏损控制/台账管理/邛崃考核表台账"
            },
            {
              "label": "邛崃流量计",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\台账管理.svg",
              "url": "product/common/AccountManage/AccountManage|accountName=邛崃流量计&widget=97",
              "config": "",
              "product": "civ_water",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_台账管理_邛崃流量计",
              "breadcrumbMap": "漏损控制/台账管理/邛崃流量计"
            },
            {
              "label": "指标配置",
              "shortName": "",
              "icon": "assets\\images\\menuNew\\02二级图标\\指标.svg",
              "url": "productex/water/IOTConfSetting/OperationTargetSet/OperationTargetSet|addRole=true&widget=98",
              "config": "",
              "product": "civweb4",
              "hideInMenu": false,
              "widgetId": "widget_bpm_漏损控制_台账管理_指标配置",
              "breadcrumbMap": "漏损控制/台账管理/指标配置"
            }
          ],
          "label": "台账管理",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\台账管理.svg",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_台账管理",
          "breadcrumbMap": "漏损控制/台账管理"
        },
        {
          "label": "系统设置",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\基本设置.svg",
          "url": "productex/water/IOTConfSetting/PermissionAssignment/PermissionAssignment|widget=99",
          "config": "",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_系统设置",
          "breadcrumbMap": "漏损控制/系统设置"
        },
        {
          "label": "配置信息",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\03三级图标\\指标配置.svg",
          "url": "product/common/AccountManage/AccountManage|accountName=DMA配置信息&widget=100",
          "config": "",
          "product": "civ_water",
          "hideInMenu": false,
          "widgetId": "widget_bpm_漏损控制_配置信息",
          "breadcrumbMap": "漏损控制/配置信息"
        }
      ],
      "label": "漏损控制",
      "shortName": "",
      "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\DMA管控.svg",
      "hideInMenu": false,
      "widgetId": "widget_bpm_漏损控制",
      "breadcrumbMap": "漏损控制"
    },
    {
      "widgets": [
        {
          "label": "采集总览BI",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/BI驾驶舱.svg",
          "url": "bigScreenDisplay/gatherOverview/index|widget=178",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网采集_采集总览BI",
          "breadcrumbMap": "管网采集/采集总览BI"
        },
        {
          "label": "新建工程",
          "shortName": "",
          "icon": "assets/images/menuNew/排水/三级/事件上报.svg",
          "url": "pipenetCollection/pipenetGatherNewBuildCase/index|widget=179",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网采集_新建工程",
          "breadcrumbMap": "管网采集/新建工程"
        },
        {
          "label": "工程管理",
          "shortName": "",
          "icon": "assets/images/menuNew/排水/三级/事件总览.svg",
          "url": "pipenetCollection/PipenetGatherCaseManager/index|widget=180",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网采集_工程管理",
          "breadcrumbMap": "管网采集/工程管理"
        },
        {
          "label": "工程删除",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\工具.svg",
          "url": "pipenetCollection/PipenetGatherCaseManager/index|isDelete=true&widget=181",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网采集_工程删除",
          "breadcrumbMap": "管网采集/工程删除"
        },
        {
          "label": "工程总览",
          "shortName": "",
          "icon": "assets/images/menuNew/排水/三级/事件删除.svg",
          "url": "product/bpm/caseMange/caseBox/index|box=overview&flowName=管网采集&isDelete=true&widget=182",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网采集_工程总览",
          "breadcrumbMap": "管网采集/工程总览"
        },
        {
          "label": "采集分析",
          "shortName": "",
          "icon": "assets/images/menuNew/02二级图标/运行分析.svg",
          "url": "pipenetCollection/pipenetGatherOverview/index|widget=183",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网采集_采集分析",
          "breadcrumbMap": "管网采集/采集分析"
        },
        {
          "label": "入库统计",
          "shortName": "",
          "icon": "assets/images/menuNew/OA/列表统计.svg",
          "url": "pipenetCollection/pipenetGatherStatistic/index|widget=184",
          "config": "",
          "product": "civ_webgis",
          "hideInMenu": false,
          "widgetId": "widget_bpm_管网采集_入库统计",
          "breadcrumbMap": "管网采集/入库统计"
        }
      ],
      "label": "管网采集",
      "shortName": "",
      "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\管网采集.svg",
      "hideInMenu": false,
      "widgetId": "widget_bpm_管网采集",
      "breadcrumbMap": "管网采集"
    },
    {
      "widgets": [
        {
          "label": "形态测试",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\DMA管控.svg",
          "url": "product/common/AccountManage/AccountManage|accountName=形态测试台账WY&resize=true&widget=190",
          "config": "",
          "product": "civ_water",
          "hideInMenu": false,
          "widgetId": "widget_bpm_标准台账_形态测试",
          "breadcrumbMap": "标准台账/形态测试"
        },
        {
          "label": "表单设计器",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\DMA管控.svg",
          "url": "product/bpm/eventManage/demo|widget=191",
          "config": "",
          "product": "civ_workflow",
          "hideInMenu": false,
          "widgetId": "widget_bpm_标准台账_表单设计器",
          "breadcrumbMap": "标准台账/表单设计器"
        }
      ],
      "label": "标准台账",
      "shortName": "",
      "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\物资管理.svg",
      "hideInMenu": false,
      "widgetId": "widget_bpm_标准台账",
      "breadcrumbMap": "标准台账"
    },
    {
      "widgets": [
        {
          "label": "流程设计",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\项目流程.svg",
          "url": "product/embedOms/Index|mark=center&widget=192",
          "config": "",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_系统设置_流程设计",
          "breadcrumbMap": "系统设置/流程设计"
        },
        {
          "label": "节假日管理",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\解决方案.svg",
          "url": "product/embedOms/Index|mark=holidays&widget=193",
          "config": "",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_系统设置_节假日管理",
          "breadcrumbMap": "系统设置/节假日管理"
        },
        {
          "label": "巡检反馈",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\台账管理.svg",
          "url": "product/embedOms/Index|mark=patrolFeedback&widget=194",
          "config": "",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_系统设置_巡检反馈",
          "breadcrumbMap": "系统设置/巡检反馈"
        },
        {
          "label": "维保模板",
          "shortName": "",
          "icon": "assets\\images\\menuNew\\02二级图标\\合同查询.svg",
          "url": "product/embedOms/Index|mark=maintenance&widget=195",
          "config": "",
          "product": "civweb4",
          "hideInMenu": false,
          "widgetId": "widget_bpm_系统设置_维保模板",
          "breadcrumbMap": "系统设置/维保模板"
        }
      ],
      "label": "系统设置",
      "shortName": "",
      "icon": "assets\\images\\menuNew\\00供水子系统\\彩色图标\\系统设置.svg",
      "hideInMenu": false,
      "widgetId": "widget_bpm_系统设置",
      "breadcrumbMap": "系统设置"
    }
  ],
  "password": null,
  "userInfo": {
    "OID": 21,
    "fullName": "龚维",
    "loginName": "gongwei",
    "depart": {
      "OID": 1020,
      "name": "供水部",
      "code": "1-1016-1019-1020",
      "type": null,
      "VISIBLE": null
    },
    "roles": [
      {
        "OID": 28,
        "name": "巡线员",
        "code": "2-28",
        "type": "角色",
        "VISIBLE": "手持系统"
      },
      {
        "OID": 1015,
        "name": "业务平台管理员",
        "code": "2-1015",
        "type": "角色",
        "VISIBLE": "bpm"
      },
      {
        "OID": 1038,
        "name": "调度员",
        "code": "2-1038",
        "type": "角色",
        "VISIBLE": "bpm"
      },
      {
        "OID": 1003,
        "name": "会签角色",
        "code": "2-1003",
        "type": "角色",
        "VISIBLE": "city"
      },
      {
        "OID": 1014,
        "name": "业务平台测试管理员",
        "code": "2-1014",
        "type": "角色",
        "VISIBLE": "bmp"
      },
      {
        "OID": 1043,
        "name": "研发人员1",
        "code": "2-1043",
        "type": "角色",
        "VISIBLE": "bpmdc"
      },
      {
        "OID": 43,
        "name": "平台管理员",
        "code": "2-43",
        "type": "角色",
        "VISIBLE": "city"
      },
      {
        "OID": 1044,
        "name": "站点_洪山区",
        "code": "2-24-1044",
        "type": "角色",
        "VISIBLE": "all"
      },
      {
        "OID": 1041,
        "name": "工单执行人",
        "code": "2-1041",
        "type": "角色",
        "VISIBLE": "bpm"
      },
      {
        "OID": 1047,
        "name": "手持巡线员",
        "code": "2-1047",
        "type": "角色",
        "VISIBLE": "miniapp"
      },
      {
        "OID": 1065,
        "name": "研发测试",
        "code": "2-1065",
        "type": "角色",
        "VISIBLE": "bpm"
      },
      {
        "OID": 1046,
        "name": "站点_江夏区",
        "code": "2-24-1046",
        "type": "角色",
        "VISIBLE": "all"
      },
      {
        "OID": 1037,
        "name": "上报员",
        "code": "2-1037",
        "type": "角色",
        "VISIBLE": "bpm"
      },
      {
        "OID": 1053,
        "name": "站点_沌口区",
        "code": "2-24-1053",
        "type": "角色",
        "VISIBLE": "all"
      }
    ],
    "exportCAD": {
      "IPValid": true,
      "area": 9999
    },
    "site": "",
    "Email": "",
    "DDid": "",
    "WXid": "",
    "UserImge": "/个人信息/1676615958107/111.jpg",
    "Mark": "",
    "Phone": "15655454454",
    "WxName": null,
    "WxImage": null,
    "IsManager": "",
    "IP": "",
    "Port": "",
    "GisState": "",
    "City": null,
    "token": "9c74f1339c6c433f88f786db22688200",
    "tokenexp": null,
    "EnterprisesType": null,
    "Groups": null,
    "cloudStationOID": 21,
    "extraInfo": null,
    "LocalSite": "site_io4638md",
    "UserLevel": 0,
    "UserType": "",
    "Industries": []
  },
  "token": "9c74f1339c6c433f88f786db22688200",
  "qrcodeData": {},
  "hasGateWay": false,
  "apiGatewayDomain": "http://localhost:3000",
  "messageVoice": true,
  "topMenu": "搜索,消息,反馈"
}

const Test = (props) => {

  const formDesignerRef = useRef(null)
  const formRenderRef = useRef(null)

  const submit = async () => {
    console.log(await formRenderRef.current.getValues())
  }

  return (
    <div style={{ width: '100%', height: '100%' }}>
      {/* <FormDesigner ref={formDesignerRef} extra={true} tableName='事件_形态测试WY' /> */}
      {/* <FormRender ref={formRenderRef} schemaValues={schemaValues} /> */}
      {/* <div onClick={submit}>提交</div> */}
      <Account accountName={'形态测试台账WY'} />
    </div>
  )

}

export default Test
