import React from 'react'
import TagPack from '../../../../../components/TagPack'

const SelectView = (props) => {

  const { value, sourceType, options } = props
  let tag = value ? value.split(',') : []

  if (sourceType === '手动输入') {
    return (
      <div>
        {
          tag.map((v, i) => {
            let color = options.find(s => s.value === v)?.color
            return (
              <span key={v} style={{ margin: '0 5px' }}>
                {
                  color ? <TagPack color={color} text={v} /> : v
                }
              </span>
            )
          })
        }
      </div>
    )
  }


  return <div>{value}</div>

}

export default SelectView