import React, { useMemo } from 'react'
import { Tooltip } from 'antd'

const style = {
  display: 'inline-block',
  width: '100%',
  overflow: 'hidden',
  wordSpacing: 'normal',
  textOverflow: 'ellipsis',
}

const Text = (props) => {

  const { text, align } = props

  if (text && text.length > 10) {
    return (
      <Tooltip title={text}>
        <div style={{ ...style }}>{text}</div>
      </Tooltip>
    )
  }
  return <div>{text}</div>
}

export default Text