import React from 'react'
import { CloseOutlined } from '@ant-design/icons'
import styles from './index.less'

const hexToRgba = (hex, opacity) => {
  if (hex) {
    let rgb = hex.split('(')[1].split(')')[0].split(',')
    return 'rgba(' + rgb[0].trim() + ',' + rgb[1].trim() + ',' + rgb[2].trim() + ',' + opacity + ')'
  }
  return null
}

const TagPack = (props) => {

  const { color, text, onClose } = props

  return (
    <span
      className={styles.tagPack}
      style={{ background: hexToRgba(color, 0.4), color: color, border: color ? '1px solid' : 'none' }}
    >
      {text}
      {onClose ? <CloseOutlined style={{ fontSize: '12px', marginLeft: '2px' }} onClick={() => onClose()} /> : null}
    </span>
  )
}

export default TagPack