import React, { useEffect } from 'react'
import { Switch } from 'antd'

const SwitchSelector = (props) => {

  const { value, onChange, schema, addons } = props
  const { disabled, presetValue, showText } = schema
  const text = (showText && showText.includes('/')) ? showText.split('/') : ['', '']

  useEffect(() => {
    if (addons) {
      addons.setValue(addons.dataPath, (presetValue === text[0] || presetValue === true) ? (text[0] || '开') : (text[1] || '关'))
    } else {
      onChange((presetValue === text[0] || presetValue === true) ? (text[0] || '开') : (text[1] || '关'))
    }
  }, [presetValue])

  const switchChange = (checked) => {
    if (addons) {
      onChange(checked ? (text[0] || '开') : (text[1] || '关'))
    }
  }

  return (
    <Switch
      checked={Boolean(value === text[0] || value === '开')}
      disabled={disabled}
      checkedChildren={text[0]}
      unCheckedChildren={text[1]}
      onChange={switchChange}
    >

    </Switch>
  )

}

export default SwitchSelector