import React, { useEffect, useState } from 'react'
import { Select } from 'antd'
import { LoadUnattachedTables } from '../../../../../apis/process'

const TableNames = (props) => {

  const { value, schema, onChange } = props
  const [options, setOptions] = useState([])

  const onFocus = async () => {
    const { data } = await LoadUnattachedTables()
    if (Array.isArray(data.root)) {
      setOptions(data.root)
    }
  }

  const onSelect = (value) => {
    onChange(value)
  }

  return (
    <Select
      disabled={true}
      onFocus={onFocus}
      showSearch
      showArrow={false}
      value={value}
      onChange={onSelect}
      optionFilterProp="children"
    >
      {
        options.map(v => {
          return (
            <Select.Option value={v.text} key={v.text}>{v.text}</Select.Option>
          )
        })
      }
    </Select>
  )

}

export default TableNames