import React, { useState, useEffect, useMemo } from 'react'
import { DatePicker, TimePicker, Input } from 'antd'
import moment from 'moment'
import locale from 'antd/lib/date-picker/locale/zh_CN'

const DateDefault = (props) => {

  const { onChange, addons, schema } = props
  const { dateFormat } = schema

  const dateChange = (date, dateStr) => {
    if (date && date._d) {
      onChange(moment(date._d).format('YYYY-MM-DD HH:mm:ss'))
    } else {
      onChange(null)
    }
  }
  if (dateFormat === 'dateTime') {
    return (
      <DatePicker
        picker={dateFormat}
        // value={valueShow}
        onChange={dateChange}
        // onOk={onOk}
        showNow
        showTime
        style={{ width: '100%' }}
        locale={locale}
      />
    )
  }

  return (
    <DatePicker
      picker={dateFormat}
      // value={valueShow}
      onChange={dateChange}
      // onOk={onOk}
      style={{ width: '100%' }}
    // locale={locale}
    />
  )
  
}

export default DateDefault
