import React, { useMemo, useState } from 'react'
import { Input, Modal, Popover, Select, Dropdown, Menu } from 'antd'
import { PlusOutlined } from '@ant-design/icons'
import styles from './index.less'

const options = [
  { label: '本人姓名', key: '【本人姓名】' },
  { label: '本人电话', key: '【本人电话】' },
  { label: '本人部门', key: '【本人部门】' },
]
const loaclPaths = ['【本人姓名】', '【本人电话】', '【本人部门】']

const InputDefault = (props) => {

  const { value, onChange, addons, disabled } = props

  const style = useMemo(() => {
    if (loaclPaths.includes(value)) {
      return { color: 'blue' }
    }
    return null
  }, [value])

  const inputChange = (e) => {
    onChange(e.target.value)
  }

  const menuClick = (item) => {
    onChange(item.key)
  }

  return (
    <div className={styles.inputDefault}>
      <Input
        disabled={disabled}
        value={value}
        onChange={inputChange}
        style={style}
      />
      {!disabled ? (
        <Dropdown
          overlay={(
            <Menu
              onClick={menuClick}
              items={options}
            />
          )}
        >
          <div className={styles.addon}><PlusOutlined /></div>
        </Dropdown>
      ) : null}
    </div>
  )

}

export default InputDefault