import React, { useMemo, useEffect, useState } from 'react'
import { Input } from 'antd'
import { PlusOutlined } from '@ant-design/icons'
import Drag from '../../../../components/Drag'

const Placeholder = (props) => {

  const { value, addons, onChange } = props
  const { title } = addons.formData
  const [visible, setVisible] = useState(false)
  const [areaValue, setAreaValue] = useState('')

  const inputChange = (e) => {
    onChange(e.target.value)
  }

  const areaChange = (e) => {
    setAreaValue(e.target.value)
  }

  const onOk = () => {
    onChange(areaValue)
    setVisible(false)
  }

  const onCancel = () => {
    setVisible(false)
  }

  const iconClick = () => {
    setAreaValue(value)
    setVisible(true)
  }

  return (
    <div>
      <Input
        value={value}
        onChange={inputChange}
        addonAfter={<PlusOutlined onClick={iconClick} />}
      />
      <Drag
        width='500px'
        getContainer={false}
        title='图标选择'
        visible={visible}
        onOk={onOk}
        onCancel={onCancel}
      >
        <Input.TextArea rows={5} value={areaValue} onChange={areaChange} />
      </Drag>
    </div>
  )

}

export default Placeholder