import React, { useEffect } from 'react'
import { Switch } from 'antd'

const SwitchDefault = (props) => {

  const { value, onChange, addons } = props
  const { showText } = addons?.formData
  const text = (showText && showText.includes('/')) ? showText.split('/') : ['', '']

  const switchChange = (checked) => {
    if (addons) {
      onChange(checked)
    }
  }

  return (
    <Switch
      checked={value}
      checkedChildren={text[0]}
      unCheckedChildren={text[1]}
      onChange={switchChange}
    >
    </Switch>
  )

}

export default SwitchDefault