import React, { useState, useEffect, useMemo } from 'react'
import { TimePicker } from 'antd'
import locale from 'antd/lib/date-picker/locale/zh_CN'
import moment from 'moment'

const TimeDefault = (props) => {

  const { value, onChange } = props

  const { format } = props.addons.formData

  const dateChange = (time, dateStr) => {
    onChange(moment(time).format('YYYY-MM-DD HH:mm:ss'))
  }

  return (
    <TimePicker
      value={value ? moment(value) : null}
      picker={format}
      onChange={dateChange}
      showTime={format === 'dateTime'}
      style={{ width: '100%' }}
      locale={locale}
    />
  )

}

export default TimeDefault
