import React, { useState } from 'react'
import { Select, message } from 'antd'
import { LoadLedgers } from '../../../../../apis/process'

const AccountName = (props) => {

  const { value, onChange, schema, addons } = props
  const { widget } = addons.formData
  const [options, setOptions] = useState([])

  const onFocus = async () => {
    const { code, data, msg } = await LoadLedgers()
    if (code === 0) {
      if (Array.isArray(data.root)) {
        setOptions(data.root)
      } else {
        setOptions([])
      }
    } else {
      message.error(msg)
    }
  }

  const selectChange = (value) => {
    if (widget === 'AccountSelector') {
      addons.setValueByPath('fieldshine', [])
    } else if (widget === 'RelationForm') {
      addons.setValueByPath('mappedField', [])
    }
    onChange(value)
  }

  return (
    <Select
      value={value}
      onFocus={onFocus}
      showSearch
      onChange={selectChange}
    >
      {
        options.map(v => {
          return (
            <Select.Option key={v.name} value={v.name}>{v.name}</Select.Option>
          )
        })
      }
    </Select>
  )

}

export default AccountName