import React, { useState } from 'react'
import { Select, message } from 'antd'
import { ReloadTableFields } from '../../../../../apis/process'

const AddressSync = (props) => {

  const { value, onChange, schema, addons } = props
  const { tableNameParent } = addons.formData
  const [options, setOptions] = useState([])

  const onFocus = async () => {
    if (!tableNameParent) {
      return message.info('请选择表名!')
    }
    const { code, data, msg } = await ReloadTableFields({ tableName: tableNameParent })
    if (code === 0) {
      let result = data.root.map(v => { return { label: v.name, value: v.name } })
      setOptions(result)
    } else {
      message.error(msg)
    }
  }

  const selectChange = (value) => {
    onChange(value)
  }

  return (
    <Select
      allowClear
      style={{ width: '100%' }}
      options={options}
      value={value}
      onFocus={onFocus}
      onChange={selectChange}
    >
    </Select>
  )

}

export default AddressSync