import React, { useState } from 'react'
import { Select, TreeSelect, message } from 'antd'
import { getGroupAndRole } from '../../../../../apis/process'

const { TreeNode } = TreeSelect

const GroupAndRole = (props) => {

  const { addons, onChange, value } = props
  const { $id, accountName, tableNameParent } = addons.formData
  const [treeData, setTreeData] = useState({ groupList: [], roleList: [] })

  const selectChange = (value) => {
    onChange(value.join(','))
  }

  const onfocus = async () => {
    const { code, data, msg } = await getGroupAndRole()
    if (code === 0) {
      setTreeData(data)
    } else {
      message.error(msg)
    }
  }

  return (
    <TreeSelect
      value={value ? value.split(',') : []}
      multiple
      onFocus={onfocus}
      onChange={selectChange}
      allowClear
      showSearch
      getPopupContainer={(targterNode) => targterNode.parentElement || document.body}
    >
      <TreeNode value='机构' title='机构' disabled>
        {treeData.groupList.map(s => <TreeNode value={s.name} title={s.name} key={s.name} />)}
      </TreeNode>
      <TreeNode value='角色' title='角色' disabled>
        {treeData.roleList.map(s => <TreeNode value={s.name} title={s.name} key={s.name} />)}
      </TreeNode>
    </TreeSelect>
  )

}

export default GroupAndRole