import React, { useMemo } from 'react'
import { Select } from 'antd'

const initOptions = [
  { label: '手动输入', value: '手动输入' },
  { label: '数据字典', value: '数据字典' },
  { label: '表数据', value: '表数据' },
  { label: '站点', value: '站点' }
]

const SourceType = (props) => {

  const { value, onChange, addons } = props
  const { widget } = addons.formData

  const options = useMemo(() => {
    if (widget === 'ComboBox') {
      return initOptions
    }
    return [
      { label: '手动输入', value: '手动输入' },
      { label: '数据字典', value: '数据字典' },
      { label: '表数据', value: '表数据' },
    ]
  }, [widget])

  const selectChange = (e) => {
    if (value === '手动输入') {
      addons.removeErrorField('options')
    } else if (value === '数据字典') {
      addons.removeErrorField('dictionary')
    } else if (value === '表数据') {
      addons.removeErrorField('tableName')
      addons.removeErrorField('fieldName')
    }
    if (e !== '手动输入') {
      addons.setValueByPath('isEdit', false)
    }
    if (e !== '站点') {
      addons.setValueByPath('isStoreID', false)
    }
    onChange(e)
  }

  return (
    <Select
      value={value}
      style={{ width: '100%' }}
      options={options}
      onChange={selectChange}
    />
  )

}

export default SourceType