import React, { useMemo, useState } from 'react'
import { Select } from 'antd'
import { LoadTableV2, LoadLedgers } from '../../../../../apis/process'

const TableName = (props) => {

  const { value, onChange } = props
  const [groupNames, setGroupNames] = useState([])
  const [data, setData] = useState([])

  const options = useMemo(() => {
    let array = []
    if (Array.isArray(groupNames)) {
      groupNames.forEach(v => {
        let options = Array.isArray(data) ? data.filter(s => s.groupNames === v.groupName) : []
        array.push({
          label: v,
          options: options.map(s => { return { label: s.tableName, value: s.tableName } })
        })
      })
    }
    return array
  }, [groupNames, data])

  const onFocus = async () => {
    const { code, data } = await LoadTableV2()
    if (code === 0) {
      setGroupNames(data.groupNames)
      setData(data.root)
    } else {
      message.error('请求错误!')
    }
  }

  const selectChange = (value) => {
    onChange(value)
  }

  return (
    <Select
      value={value}
      options={options}
      onFocus={onFocus}
      onChange={selectChange}
      showSearch
    >
    </Select>
  )

}

export default TableName