import React from 'react'
import { Input, Dropdown, Menu, Select } from 'antd'
import { PlusOutlined } from '@ant-design/icons'
import styles from './index.less'

const options = [
  { label: '整数', value: '${整数}' },
  { label: '小数', value: '${小数}' },
  { label: '货币', value: '${货币}' },
  { label: '百分比', value: '${百分比}' },
]

const Formatting = (props) => {

  const { value, onChange, addons } = props

  const inputChange = (e) => {
    onChange(e.target.value)
  }

  const menuClick = (item) => {
    onChange(item.value)
  }

  const selectChange = (value) => {
    onChange(value)
  }

  return (
    <div className={styles.formatting}>
      <Select
        style={{ width: '100%', color: options.map(v => v.value).includes(value) ? '#4096ff' : '' }}
        options={options}
        onChange={selectChange}
        allowClear
      >
      </Select>
      {/* <Input
        style={{ color: options.map(v => v.key).includes(value) ? '#4096ff' : '' }}
        value={value}
        onChange={inputChange}
      >
      </Input>
      <div className={styles.formattingIcon}>
        <Dropdown
          overlay={(
            <Menu
              onClick={menuClick}
              items={options}
            />
          )}
          trigger='click'
        >
          <PlusOutlined />
        </Dropdown>
      </div> */}
    </div>
  )

}

export default Formatting