import React, { useMemo, useState } from 'react'
import { Col, InputNumber, Row, Slider } from 'antd'

// const marks = {
//   25: {
//     style: {
//       fontSize: '12px',
//       transform: 'translateX(-50%) scale(0.8)',
//     },
//     label: '25%',
//   },
//   50: {
//     style: {
//       fontSize: '12px'
//     },
//     label: '50%',
//   },
//   75: {
//     style: {
//       fontSize: '12px',
//       transform: 'translateX(-50%) scale(0.8)',
//     },
//     label: '75%',
//   },
//   100: {
//     style: {
//       fontSize: '12px',
//       transform: 'translateX(-50%) scale(0.8)',
//     },
//     label: '100%',
//   },
// }

const getMarks = (array) => {
  let object = {}
  array.forEach(v => {
    object[v] = {
      style: {
        fontSize: '12px',
      },
      label: v + '%',
    }
  })
  return object
}

const PercentSlider = (props) => {

  let column = window.sessionStorage.getItem('designerRefSchema') || '3'
  const { value, onChange, addons } = props
  const [inputValue, setInputValue] = useState(0)

  let array = [0, 33.33, 66.66, 100]
  if (column === '4') {
    array = [0, 25, 50, 75, 100]
  } else if (column === '5') {
    array = [0, 20, 40, 60, 80, 100]
  }
  const marks = getMarks(array)

  const sliderChange = (value) => {
    onChange(value + '%')
    setInputValue(value)
  }

  return (
    <Slider
      min={0}
      max={100}
      marks={marks}
      onChange={sliderChange}
      value={typeof inputValue === 'number' ? inputValue : 0}
      step={null}
    />
  )

}

export default PercentSlider