import React, { useMemo, useState } from 'react'
import { Input, Modal, Popover, Select, Dropdown, Menu } from 'antd'
import { PlusOutlined } from '@ant-design/icons'

const options = [
  { label: '开/关', key: '开/关' },
  { label: '是/否', key: '是/否' },
  { label: '明/暗', key: '明/暗' },
]

const ShowText = (props) => {

  const { value, onChange } = props

  const inputChange = (e) => {
    onChange(e.target.value)
  }

  const menuClick = (item) => {
    onChange(item.key)
  }

  return (
    <div className='showText'>
      <Input
        allowClear
        value={value}
        onChange={inputChange}
        addonAfter={
          <Dropdown
            overlay={(
              <Menu
                onClick={menuClick}
                items={options}
              />
            )}
          >
            <PlusOutlined />
          </Dropdown>
        }
      />
    </div>
  )

}

export default ShowText