import React, { useMemo } from 'react'
import { Select } from 'antd'

const options = [
  {
    name: 'number',
    label: '数值(number)',
    value: '^[+-]?[0-9]+([.][0-9]+)?$',
    message: '数值校验未通过!',
  },
  // {
  //   name: 'decimals',
  //   label: '小数(decimals)',
  //   value: '^[+-]?[0-9]+([.][0-9]+)?$',
  //   message: '小数校验未通过',
  // },
  {
    name: 'integer',
    label: '整数(integer)',
    value: '^[+-]?[0-9]*$',
    message: '整数校验未通过',
  },
  {
    name: 'positiveInteger',
    label: '正整数(positiveInteger)',
    value: '^[1-9][0-9]*$',
    message: '正整数校验未通过',
  },
]

const VerifyNumberInput = (props) => {

  const { value, onChange, disabled } = props

  const valueShow = useMemo(() => {
    return Array.isArray(value) && value.length ? value[0].pattern : null
  }, [value])

  const selectChange = (value) => {
    if (value) {
      const item = options.find(v => v.value === value)
      onChange([{ name: item.name, pattern: value, message: item.message }])
    } else {
      onChange([])
    }
  }

  return (
    <Select
      disabled={disabled}
      value={valueShow}
      options={options}
      onChange={selectChange}
      allowClear
    />
  )

}

export default VerifyNumberInput