import React, { useEffect, useContext } from 'react'
import { Input, Popover, ConfigProvider } from 'antd'
import { QrcodeOutlined } from '@ant-design/icons'
import QRcode from 'qrcode.react'
import styles from './index.less'

const Coding = (props) => {

  const { getPrefixCls } = useContext(ConfigProvider.ConfigContext)
  const prefixCls = getPrefixCls('pandaXform')
  const { value, onChange, addons, schema } = props
  const { disabled, prefixion, codingType, presetValue, required, placeholder } = schema

  const inputChange = (e) => {
    onChange(e.target.value)
  }

  useEffect(() => {
    if (addons) {
      addons.setValue(addons.dataPath, presetValue || '')
    } else {
      onChange(presetValue || '')
    }
  }, [])

  const content = (
    <div>
      <QRcode value={value} />
    </div>
  )

  return (
    <div className={styles.coding} isdisabled={JSON.stringify(disabled)}>
      <Input
        placeholder={disabled ? (placeholder || '') : (placeholder || '请输入内容')}
        onChange={inputChange}
        value={value}
        disabled={disabled}
        addonAfter={
          <Popover content={value ? content : null}>
            <QrcodeOutlined />
          </Popover>
        }
      />
    </div>
  )

}

export default Coding