import React, { useState, useEffect, useMemo } from 'react'
import { Input } from 'antd'

const TextArea = (props) => {

  const { value, onChange, schema, addons } = props
  const { disabled, placeholder, presetValue, maxLength, rows } = schema

  useEffect(() => {
    if (addons) {
      addons.setValueByPath(addons.dataPath, presetValue)
    } else {
      onChange(presetValue)
    }
  }, [presetValue])


  const handleChange = (e) => {
    onChange(e.target.value)
  }

  return (
    <Input.TextArea
      maxLength={maxLength}
      disabled={disabled}
      value={value}
      rows={rows}
      placeholder={disabled ? (placeholder || '') : (placeholder || '请输入内容')}
      onChange={handleChange}
    />
  )
}

export default TextArea
